Modify

Opened 2 years ago

Closed 21 months ago

Last modified 3 months ago

#13665 closed defect (fixed)

Update data crashes JOSM after loading an old dataset

Reported by: mgwebmail@… Owned by: team
Priority: major Milestone: 17.04
Component: Core Version:
Keywords: template_report regression gsoc-core Cc:

Description

What steps will reproduce the problem?

  1. Load changeset http://www.openstreetmap.org/changeset/33415934 - I used the download OSMchange link and opened the file in JOSM
  2. Update the data using the file > update command
  3. Crash

This particular dataset is full of loose nodes not connected to ways but sharing their path. I tried to clean them.

What is the expected result?

Update the data with the latest data (I already deleted a bunch of loose nodes in another changeset of me)

What happens instead?

crash. a dialog with two 42 conflicts is displayed but the crashes occurs again when I click it.

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-06 00:16:07 +0200 (Tue, 06 Sep 2016)
Build-Date:2016-09-05 22:21:00
Revision:10966
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10966 en) Mac OS X 10.11.6
Memory Usage: 401 MB / 910 MB (283 MB allocated, but free)
Java version: 1.8.0_101-b13, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 616567133 1024x768, Display 69673792 1920x1200
Maximum Screen Size: 1920x1200
VM arguments: [-Djava.library.path=/Applications/JOSM.app/Contents/MacOS, -DLibraryDirectory=${HOME}/Library, -DDocumentsDirectory=${HOME}/Documents, -DApplicationSupportDirectory=${HOME}/Library/Application Support, -DCachesDirectory=${HOME}/Library/Caches, -DSandboxEnabled=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]

Dataset consistency test:
[DELETED REFERENCED] {Way id=27599304 version=3 MVT nodes=[{Node id=303051540 version=3 V lat=26.8168135,lon=-113.1309297}, {Node id=303051543 version=1 V lat=26.816525,lon=-113.130756}, {Node id=303051546 version=1 V lat=26.8161389,lon=-113.1303594}, {Node id=303051547 version=1 V lat=26.8139268,lon=-113.1273399}, {Node id=303051549 version=1 V lat=26.8019885,lon=-113.1115395}, {Node id=303051550 version=1 V lat=26.7710349,lon=-113.0780638}, {Node id=303051551 version=1 V lat=26.7706245,lon=-113.0776762}, {Node id=303051553 version=1 V lat=26.7305178,lon=-113.0516186}, {Node id=303051554 version=1 V lat=26.7303728,lon=-113.0515645}, {Node id=303051556 version=1 V lat=26.7300992,lon=-113.0515916}, {Node id=303051557 version=1 V lat=26.7295759,lon=-113.051907}, {Node id=303051559 version=1 V lat=26.7287548,lon=-113.0521324}, {Node id=303051560 version=1 V lat=26.7279417,lon=-113.052556}, {Node id=303051562 version=1 V lat=26.7269837,lon=-113.0529165}, {Node id=303051563 version=1 V lat=26.7265007,lon=-113.0530246}, {Node id=303051564 version=1 V lat=26.7262109,lon=-113.0531689}, {Node id=303051567 version=1 V lat=26.7257842,lon=-113.0535024}, {Node id=303051568 version=1 V lat=26.7251804,lon=-113.0537998}, {Node id=303051569 version=1 V lat=26.7246571,lon=-113.0538809}, {Node id=303051570 version=1 V lat=26.7228538,lon=-113.0537908}, {Node id=303051571 version=1 V lat=26.7193034,lon=-113.0528264}, {Node id=303051572 version=1 V lat=26.7177334,lon=-113.052619}, {Node id=303051573 version=1 V lat=26.7164453,lon=-113.0522585}, {Node id=303051574 version=1 V lat=26.7155758,lon=-113.0519521}, {Node id=303051575 version=1 V lat=26.7134583,lon=-113.0511138}, {Node id=303051576 version=1 V lat=26.7070653,lon=-113.0483467}, {Node id=303051577 version=1 V lat=26.706075,lon=-113.0477067}, {Node id=303051578 version=1 V lat=26.7056079,lon=-113.0473282}, {Node id=303051579 version=1 V lat=26.704851,lon=-113.0464089}, {Node id=303051580 version=1 V lat=26.7040378,lon=-113.0456067}, {Node id=303051581 version=1 V lat=26.7037641,lon=-113.0452371}, {Node id=303051582 version=1 V lat=26.7036674,lon=-113.0450118}, {Node id=303051583 version=1 V lat=26.7036916,lon=-113.0442457}, {Node id=303051584 version=1 V lat=26.703611,lon=-113.0440203}, {Node id=303051585 version=1 V lat=26.703442,lon=-113.0438761}, {Node id=303051589 version=1 V lat=26.7032084,lon=-113.043795}, {Node id=303051590 version=1 V lat=26.7027817,lon=-113.043795}, {Node id=303051591 version=1 V lat=26.7021698,lon=-113.0439482}, {Node id=303051592 version=1 V lat=26.7019443,lon=-113.0438491}, {Node id=303051593 version=1 V lat=26.7017269,lon=-113.0436418}, {Node id=303051594 version=1 V lat=26.7014129,lon=-113.0432182}, {Node id=303051595 version=1 V lat=26.701131,lon=-113.0427855}, {Node id=303051596 version=1 V lat=26.7007928,lon=-113.0420194}, {Node id=303051597 version=1 V lat=26.7005835,lon=-113.041812}, {Node id=303051598 version=1 V lat=26.7003016,lon=-113.041749}, {Node id=303051599 version=1 V lat=26.6993353,lon=-113.0419833}, {Node id=303051600 version=1 V lat=26.6990052,lon=-113.0420194}, {Node id=303051601 version=1 V lat=26.6972015,lon=-113.041731}, {Node id=303051602 version=1 V lat=26.6960982,lon=-113.0413523}, {Node id=303051603 version=1 V lat=26.6951722,lon=-113.0412622}, {Node id=303051604 version=1 V lat=26.6944958,lon=-113.041073}, {Node id=303051605 version=1 V lat=26.6941576,lon=-113.0408927}, {Node id=303051606 version=1 V lat=26.6934087,lon=-113.0403608}, {Node id=303051607 version=1 V lat=26.6923376,lon=-113.0400995}, {Node id=303051608 version=1 V lat=26.6917739,lon=-113.0398742}, {Node id=303051609 version=1 V lat=26.6903727,lon=-113.0391982}, {Node id=303051610 version=1 V lat=26.6888104,lon=-113.0385943}, {Node id=303051611 version=1 V lat=26.6884561,lon=-113.038414}, {Node id=303051612 version=1 V lat=26.6874495,lon=-113.0377019}, {Node id=303051613 version=1 V lat=26.6864026,lon=-113.037098}, {Node id=303051614 version=1 V lat=26.6858872,lon=-113.0367465}, {Node id=303051615 version=1 V lat=26.6856053,lon=-113.0364761}, {Node id=303051616 version=1 V lat=26.6851221,lon=-113.0358452}, {Node id=303051617 version=1 V lat=26.6843006,lon=-113.0349528}, {Node id=303051618 version=1 V lat=26.683753,lon=-113.0345112}, {Node id=303051619 version=1 V lat=26.6834792,lon=-113.0344571}, {Node id=303051620 version=1 V lat=26.6832134,lon=-113.0345383}, {Node id=303051621 version=1 V lat=26.6826496,lon=-113.0348898}, {Node id=303051622 version=1 V lat=26.6812484,lon=-113.0359714}, {Node id=303051623 version=1 V lat=26.6805719,lon=-113.0362238}, {Node id=303051624 version=1 V lat=26.6801128,lon=-113.0365483}, {Node id=303051625 version=1 V lat=26.679847,lon=-113.037044}, {Node id=303051626 version=1 V lat=26.6794041,lon=-113.03772}, {Node id=303051627 version=1 V lat=26.6776725,lon=-113.0407755}, {Node id=303051628 version=1 V lat=26.6774309,lon=-113.0410008}, {Node id=303051629 version=1 V lat=26.6771732,lon=-113.041055}, {Node id=303051630 version=1 V lat=26.6769396,lon=-113.0410008}, {Node id=303051631 version=1 V lat=26.676706,lon=-113.0408206}, {Node id=303051632 version=1 V lat=26.6755866,lon=-113.0402347}, {Node id=303051633 version=1 V lat=26.6690143,lon=-113.0368547}, {Node id=303051634 version=1 V lat=26.6575521,lon=-113.0310411}, {Node id=303051635 version=1 V lat=26.6537339,lon=-113.02895}, {Node id=303051636 version=1 V lat=26.6506003,lon=-113.0274898}, {Node id=303051637 version=1 V lat=26.6484896,lon=-113.0264082}, {Node id=303051638 version=1 V lat=26.6470798,lon=-113.0255789}, {Node id=303051639 version=1 V lat=26.646097,lon=-113.0252004}, {Node id=303051640 version=1 V lat=26.610419,lon=-113.0069934}, {Node id=303051641 version=1 V lat=26.6100564,lon=-113.0066689}, {Node id=303051642 version=2 D }, {Node id=3702952892 version=2 MV lat=26.6079743,lon=-113.004337}, {Node id=303051643 version=1 V lat=26.606575,lon=-113.0027211}, {Node id=303051644 version=1 V lat=26.5917538,lon=-112.9860914}, {Node id=303051645 version=1 V lat=26.591246,lon=-112.9854424}, {Node id=303051646 version=1 V lat=26.5906415,lon=-112.9848566}, {Node id=303051647 version=1 V lat=26.5900772,lon=-112.9842075}, {Node id=303051648 version=1 V lat=26.5896581,lon=-112.9835676}, {Node id=303051649 version=1 V lat=26.5893115,lon=-112.983144}, {Node id=303051650 version=1 V lat=26.5885781,lon=-112.982477}, {Node id=303051655 version=1 V lat=26.5875141,lon=-112.9813143}, {Node id=303051656 version=1 V lat=26.5818558,lon=-112.9749688}, {Node id=303051657 version=1 V lat=26.5802033,lon=-112.9730491}, {Node id=303051663 version=1 V lat=26.5788088,lon=-112.9715708}, {Node id=303051686 version=1 V lat=26.5486895,lon=-112.9377076}, {Node id=303051687 version=1 V lat=26.5468995,lon=-112.9354903}, {Node id=303051688 version=1 V lat=26.5460287,lon=-112.93458}, {Node id=303051689 version=1 V lat=26.545166,lon=-112.9334984}, {Node id=303051690 version=1 V lat=26.5441097,lon=-112.9323176}, {Node id=3702950367 version=2 V lat=26.542839,lon=-112.9310092}, {Node id=303051691 version=1 V lat=26.5413439,lon=-112.9294604}, {Node id=303051692 version=1 V lat=26.5404812,lon=-112.9284418}, {Node id=303051693 version=1 V lat=26.5395135,lon=-112.9267924}, {Node id=303051694 version=1 V lat=26.5389249,lon=-112.9256477}, {Node id=303051695 version=1 V lat=26.5386346,lon=-112.9249807}, {Node id=303051696 version=1 V lat=26.5382153,lon=-112.9234214}, {Node id=303051697 version=1 V lat=26.5375137,lon=-112.9211771}, {Node id=303051698 version=1 V lat=26.5374492,lon=-112.9207715}, {Node id=303051699 version=1 V lat=26.5373928,lon=-112.9195636}, {Node id=303051700 version=1 V lat=26.5374169,lon=-112.9181576}, {Node id=303051701 version=1 V lat=26.5373766,lon=-112.9173464}, {Node id=303051702 version=1 V lat=26.537038,lon=-112.9156158}, {Node id=303051703 version=1 V lat=26.5368122,lon=-112.9139032}, {Node id=303051704 version=1 V lat=26.5367477,lon=-112.9120916}, {Node id=303051705 version=1 V lat=26.5368525,lon=-112.9111001}, {Node id=303051706 version=1 V lat=26.5368687,lon=-112.9104872}, {Node id=303051707 version=1 V lat=26.5366509,lon=-112.9081617}, {Node id=303051708 version=1 V lat=26.5364816,lon=-112.9074768}, {Node id=303051709 version=1 V lat=26.5362397,lon=-112.9068999}, {Node id=303051710 version=1 V lat=26.5361187,lon=-112.9064762}, {Node id=303051711 version=1 V lat=26.5359896,lon=-112.9058183}, {Node id=303051712 version=1 V lat=26.5357397,lon=-112.9051513}, {Node id=303051713 version=1 V lat=26.5356268,lon=-112.904926}, {Node id=303051714 version=1 V lat=26.5350301,lon=-112.9040877}, {Node id=303051715 version=1 V lat=26.5348769,lon=-112.9039254}, {Node id=303051716 version=1 V lat=26.5345624,lon=-112.9038083}, {Node id=303051717 version=1 V lat=26.5344011,lon=-112.903655}, {Node id=303051718 version=1 V lat=26.5337882,lon=-112.9025374}, {Node id=303051719 version=1 V lat=26.5319415,lon=-112.8986617}, {Node id=303051720 version=1 V lat=26.5309496,lon=-112.896841}, {Node id=303051721 version=1 V lat=26.5298206,lon=-112.8944705}, {Node id=303051722 version=1 V lat=26.5275062,lon=-112.8902251}, {Node id=303051723 version=1 V lat=26.5262562,lon=-112.888134}, {Node id=303051724 version=1 V lat=26.5250868,lon=-112.8858716}, {Node id=303051725 version=1 V lat=26.5245223,lon=-112.8849163}, {Node id=303051726 version=1 V lat=26.5239981,lon=-112.8842763}, {Node id=303051727 version=1 V lat=26.5230223,lon=-112.8834921}, {Node id=303051728 version=1 V lat=26.522482,lon=-112.8829874}, {Node id=303051729 version=1 V lat=26.5221916,lon=-112.8826539}, {Node id=303051730 version=1 V lat=26.5218529,lon=-112.8821401}, {Node id=303051731 version=1 V lat=26.5214174,lon=-112.8816804}, {Node id=303051732 version=1 V lat=26.5210544,lon=-112.8814461}, {Node id=303051733 version=1 V lat=26.5208528,lon=-112.881374}, {Node id=303051734 version=1 V lat=26.5199657,lon=-112.8812748}, {Node id=303051735 version=1 V lat=26.5191995,lon=-112.8810946}, {Node id=303051736 version=1 V lat=26.5189011,lon=-112.8809684}, {Node id=303051737 version=1 V lat=26.5185059,lon=-112.8806079}, {Node id=303051738 version=1 V lat=26.5161348,lon=-112.8778497}, {Node id=303051739 version=1 V lat=26.5156509,lon=-112.8769484}, {Node id=303051740 version=1 V lat=26.5146346,lon=-112.8754072}, {Node id=303051741 version=1 V lat=26.5130296,lon=-112.8735053}, {Node id=303051742 version=1 V lat=26.5125699,lon=-112.8728564}, {Node id=303051743 version=1 V lat=26.5119569,lon=-112.8716035}, {Node id=303051744 version=1 V lat=26.5110132,lon=-112.8704949}, {Node id=303051745 version=1 V lat=26.5100856,lon=-112.869251}, {Node id=303051747 version=1 V lat=26.5099163,lon=-112.8689806}, {Node id=303051749 version=1 V lat=26.5095372,lon=-112.8681243}, {Node id=303051752 version=1 V lat=26.5090613,lon=-112.8672861}, {Node id=303051754 version=1 V lat=26.5089645,lon=-112.8670337}, {Node id=303051757 version=1 V lat=26.5085451,lon=-112.8651859}, {Node id=303051760 version=1 V lat=26.5083515,lon=-112.8647534}, {Node id=303051762 version=1 V lat=26.5078273,lon=-112.8639782}, {Node id=303051765 version=1 V lat=26.5076417,lon=-112.8635635}, {Node id=303051767 version=1 V lat=26.507553,lon=-112.8631579}, {Node id=303051769 version=1 V lat=26.5075288,lon=-112.8623378}, {Node id=303051772 version=1 V lat=26.5074079,lon=-112.8613643}, {Node id=303051774 version=1 V lat=26.5069481,lon=-112.8593183}, {Node id=303051777 version=1 V lat=26.5068754,lon=-112.859111}, {Node id=303051779 version=1 V lat=26.5066496,lon=-112.8587234}, {Node id=303051783 version=1 V lat=26.5045928,lon=-112.8561546}, {Node id=303051786 version=1 V lat=26.5040362,lon=-112.8553074}, {Node id=303051788 version=1 V lat=26.5028666,lon=-112.8539192}, {Node id=303051791 version=1 V lat=26.501818,lon=-112.8528827}, {Node id=303051794 version=1 V lat=26.499382,lon=-112.849728}, {Node id=303051796 version=1 V lat=26.4980349,lon=-112.8482859}, {Node id=303051799 version=1 V lat=26.4975671,lon=-112.8476549}, {Node id=303051802 version=1 V lat=26.4969379,lon=-112.8464562}, {Node id=303051804 version=1 V lat=26.4961554,lon=-112.8453565}, {Node id=303051807 version=1 V lat=26.4959941,lon=-112.8447887}, {Node id=303051809 version=1 V lat=26.4958004,lon=-112.8444101}, {Node id=303051812 version=1 V lat=26.4955181,lon=-112.8440226}, {Node id=303051814 version=1 V lat=26.4935579,lon=-112.8416972}, {Node id=303051815 version=1 V lat=26.4918236,lon=-112.8398765}, {Node id=303051816 version=1 V lat=26.4911943,lon=-112.8393446}, {Node id=303051817 version=1 V lat=26.4904037,lon=-112.8388129}, {Node id=303051818 version=1 V lat=26.489718,lon=-112.8381008}, {Node id=303051819 version=1 V lat=26.4872656,lon=-112.8362621}, {Node id=303051820 version=1 V lat=26.4857086,lon=-112.8347027}, {Node id=303051821 version=1 V lat=26.48516,lon=-112.8340538}, {Node id=303051822 version=1 V lat=26.4844259,lon=-112.8330173}, {Node id=303051823 version=1 V lat=26.4841435,lon=-112.8326927}, {Node id=303051824 version=1 V lat=26.4822719,lon=-112.8313858}, {Node id=303051825 version=1 V lat=26.4819088,lon=-112.8310703}, {Node id=303051826 version=1 V lat=26.4809084,lon=-112.8299887}, {Node id=303051827 version=1 V lat=26.4805131,lon=-112.8293759}, {Node id=303051828 version=1 V lat=26.47919,lon=-112.8265727}, {Node id=303051829 version=1 V lat=26.4787946,lon=-112.8259959}, {Node id=303051830 version=1 V lat=26.4783186,lon=-112.8255362}, {Node id=303051831 version=1 V lat=26.4771327,lon=-112.8241751}, {Node id=303051832 version=1 V lat=26.4766405,lon=-112.8234991}, {Node id=303051835 version=1 V lat=26.4761807,lon=-112.822751}, {Node id=303051836 version=1 V lat=26.4745751,lon=-112.8198938}, {Node id=303051837 version=1 V lat=26.4740264,lon=-112.818686}, {Node id=303051838 version=1 V lat=26.4737522,lon=-112.8181903}, {Node id=303051839 version=1 V lat=26.4734536,lon=-112.817352}, {Node id=303051840 version=1 V lat=26.4732438,lon=-112.8170636}, {Node id=303051842 version=1 V lat=26.4708717,lon=-112.8147742}, {Node id=303051843 version=1 V lat=26.4680075,lon=-112.8122144}, {Node id=303051844 version=1 V lat=26.4675394,lon=-112.8118809}, {Node id=303051845 version=1 V lat=26.4635131,lon=-112.8096185}]} refers to deleted primitive {Node id=303051642 version=2 D }


Plugins:
+ reverter (32796)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1

Last errors/warnings:
- W: Conflicts detected - <html>There were 42 conflicts detected.</html>


=== REPORTED CRASH DATA ===
MapView#paintLayer:
 - layer: OsmDataLayer [name=download.osc, associatedFile=/Users/matthieugaillet/Downloads/download.osc]
 - bounds: Bounds[25.9883045,-113.8605342,27.3570395,-111.902496]

Warning issued by: MapView#paintLayer

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (16) of main
java.lang.NullPointerException
	at org.openstreetmap.josm.gui.MapViewState$MapViewEastNorthPoint.getInViewX(MapViewState.java:581)
	at org.openstreetmap.josm.gui.draw.MapPath2D.lineTo(MapPath2D.java:37)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.drawWay(StyledMapRenderer.java:1470)
	at org.openstreetmap.josm.gui.mappaint.styleelement.LineElement.paintPrimitive(LineElement.java:115)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1938)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:425)
	at org.openstreetmap.josm.gui.layer.AbstractMapViewPaintable$CompatibilityModeLayerPainter.paint(AbstractMapViewPaintable.java:27)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:847)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:939)
	at javax.swing.JComponent.paintChildren(JComponent.java:889)
	at javax.swing.JComponent.paint(JComponent.java:1065)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5210)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(RepaintManager.java:1579)
	at javax.swing.RepaintManager$PaintManager.paint(RepaintManager.java:1502)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1272)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5158)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4969)
	at javax.swing.RepaintManager$4.run(RepaintManager.java:831)
	at javax.swing.RepaintManager$4.run(RepaintManager.java:814)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:814)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:789)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:738)
	at javax.swing.RepaintManager.access$1200(RepaintManager.java:64)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1732)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.HelpAwareOptionPane.doShowOptionDialog(HelpAwareOptionPane.java:311)
	at org.openstreetmap.josm.gui.HelpAwareOptionPane.showOptionDialog(HelpAwareOptionPane.java:247)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.lambda$warnNumNewConflicts$2(ConflictDialog.java:596)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:102)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.warnNumNewConflicts(ConflictDialog.java:595)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:514)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:462)
	at org.openstreetmap.josm.gui.io.AbstractPrimitiveTask.lambda$finish$0(AbstractPrimitiveTask.java:187)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:116)
	at org.openstreetmap.josm.gui.io.AbstractPrimitiveTask.finish(AbstractPrimitiveTask.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor.lambda$doBeginTask$2(PleaseWaitProgressMonitor.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Attachments (2)

Bildschirmfoto von »2016-10-18 00:13:53«.png (18.3 KB) - added by michael2402 2 years ago.
13665.png (18.3 KB) - added by michael2402 2 years ago.

Download all attachments as: .zip

Change History (28)

comment:1 Changed 2 years ago by Klumbumbus

Ticket #13710 has been marked as a duplicate of this ticket.

comment:2 Changed 2 years ago by michael2402

In 11054/josm:

Add more crash report info to the StyledMapRenderer. See #13665

comment:3 Changed 2 years ago by Don-vip

Ticket #13729 has been marked as a duplicate of this ticket.

comment:4 Changed 2 years ago by Don-vip

Ticket #13732 has been marked as a duplicate of this ticket.

comment:5 Changed 2 years ago by mgwebmail@…

Tried with release 11.066 :

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-29 20:30:59 +0200 (Thu, 29 Sep 2016)
Build-Date:2016-09-30 01:36:19
Revision:11066
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11066 en) Mac OS X 10.11.6
Memory Usage: 388 MB / 910 MB (296 MB allocated, but free)
Java version: 1.8.0_101-b13, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 616567133 1024x768, Display 69673792 1920x1200
Maximum Screen Size: 1920x1200

Dataset consistency test:
[DELETED REFERENCED] {Way id=27599304 version=3 MVT nodes=[{Node id=303051540 version=3 V lat=26.8168135,lon=-113.1309297}, {Node id=303051543 version=1 V lat=26.816525,lon=-113.130756}, {Node id=303051546 version=1 V lat=26.8161389,lon=-113.1303594}, {Node id=303051547 version=1 V lat=26.8139268,lon=-113.1273399}, {Node id=303051549 version=1 V lat=26.8019885,lon=-113.1115395}, {Node id=303051550 version=1 V lat=26.7710349,lon=-113.0780638}, {Node id=303051551 version=1 V lat=26.7706245,lon=-113.0776762}, {Node id=303051553 version=1 V lat=26.7305178,lon=-113.0516186}, {Node id=303051554 version=1 V lat=26.7303728,lon=-113.0515645}, {Node id=303051556 version=1 V lat=26.7300992,lon=-113.0515916}, {Node id=303051557 version=1 V lat=26.7295759,lon=-113.051907}, {Node id=303051559 version=1 V lat=26.7287548,lon=-113.0521324}, {Node id=303051560 version=1 V lat=26.7279417,lon=-113.052556}, {Node id=303051562 version=1 V lat=26.7269837,lon=-113.0529165}, {Node id=303051563 version=1 V lat=26.7265007,lon=-113.0530246}, {Node id=303051564 version=1 V lat=26.7262109,lon=-113.0531689}, {Node id=303051567 version=1 V lat=26.7257842,lon=-113.0535024}, {Node id=303051568 version=1 V lat=26.7251804,lon=-113.0537998}, {Node id=303051569 version=1 V lat=26.7246571,lon=-113.0538809}, {Node id=303051570 version=1 V lat=26.7228538,lon=-113.0537908}, {Node id=303051571 version=1 V lat=26.7193034,lon=-113.0528264}, {Node id=303051572 version=1 V lat=26.7177334,lon=-113.052619}, {Node id=303051573 version=1 V lat=26.7164453,lon=-113.0522585}, {Node id=303051574 version=1 V lat=26.7155758,lon=-113.0519521}, {Node id=303051575 version=1 V lat=26.7134583,lon=-113.0511138}, {Node id=303051576 version=1 V lat=26.7070653,lon=-113.0483467}, {Node id=303051577 version=1 V lat=26.706075,lon=-113.0477067}, {Node id=303051578 version=1 V lat=26.7056079,lon=-113.0473282}, {Node id=303051579 version=1 V lat=26.704851,lon=-113.0464089}, {Node id=303051580 version=1 V lat=26.7040378,lon=-113.0456067}, {Node id=303051581 version=1 V lat=26.7037641,lon=-113.0452371}, {Node id=303051582 version=1 V lat=26.7036674,lon=-113.0450118}, {Node id=303051583 version=1 V lat=26.7036916,lon=-113.0442457}, {Node id=303051584 version=1 V lat=26.703611,lon=-113.0440203}, {Node id=303051585 version=1 V lat=26.703442,lon=-113.0438761}, {Node id=303051589 version=1 V lat=26.7032084,lon=-113.043795}, {Node id=303051590 version=1 V lat=26.7027817,lon=-113.043795}, {Node id=303051591 version=1 V lat=26.7021698,lon=-113.0439482}, {Node id=303051592 version=1 V lat=26.7019443,lon=-113.0438491}, {Node id=303051593 version=1 V lat=26.7017269,lon=-113.0436418}, {Node id=303051594 version=1 V lat=26.7014129,lon=-113.0432182}, {Node id=303051595 version=1 V lat=26.701131,lon=-113.0427855}, {Node id=303051596 version=1 V lat=26.7007928,lon=-113.0420194}, {Node id=303051597 version=1 V lat=26.7005835,lon=-113.041812}, {Node id=303051598 version=1 V lat=26.7003016,lon=-113.041749}, {Node id=303051599 version=1 V lat=26.6993353,lon=-113.0419833}, {Node id=303051600 version=1 V lat=26.6990052,lon=-113.0420194}, {Node id=303051601 version=1 V lat=26.6972015,lon=-113.041731}, {Node id=303051602 version=1 V lat=26.6960982,lon=-113.0413523}, {Node id=303051603 version=1 V lat=26.6951722,lon=-113.0412622}, {Node id=303051604 version=1 V lat=26.6944958,lon=-113.041073}, {Node id=303051605 version=1 V lat=26.6941576,lon=-113.0408927}, {Node id=303051606 version=1 V lat=26.6934087,lon=-113.0403608}, {Node id=303051607 version=1 V lat=26.6923376,lon=-113.0400995}, {Node id=303051608 version=1 V lat=26.6917739,lon=-113.0398742}, {Node id=303051609 version=1 V lat=26.6903727,lon=-113.0391982}, {Node id=303051610 version=1 V lat=26.6888104,lon=-113.0385943}, {Node id=303051611 version=1 V lat=26.6884561,lon=-113.038414}, {Node id=303051612 version=1 V lat=26.6874495,lon=-113.0377019}, {Node id=303051613 version=1 V lat=26.6864026,lon=-113.037098}, {Node id=303051614 version=1 V lat=26.6858872,lon=-113.0367465}, {Node id=303051615 version=1 V lat=26.6856053,lon=-113.0364761}, {Node id=303051616 version=1 V lat=26.6851221,lon=-113.0358452}, {Node id=303051617 version=1 V lat=26.6843006,lon=-113.0349528}, {Node id=303051618 version=1 V lat=26.683753,lon=-113.0345112}, {Node id=303051619 version=1 V lat=26.6834792,lon=-113.0344571}, {Node id=303051620 version=1 V lat=26.6832134,lon=-113.0345383}, {Node id=303051621 version=1 V lat=26.6826496,lon=-113.0348898}, {Node id=303051622 version=1 V lat=26.6812484,lon=-113.0359714}, {Node id=303051623 version=1 V lat=26.6805719,lon=-113.0362238}, {Node id=303051624 version=1 V lat=26.6801128,lon=-113.0365483}, {Node id=303051625 version=1 V lat=26.679847,lon=-113.037044}, {Node id=303051626 version=1 V lat=26.6794041,lon=-113.03772}, {Node id=303051627 version=1 V lat=26.6776725,lon=-113.0407755}, {Node id=303051628 version=1 V lat=26.6774309,lon=-113.0410008}, {Node id=303051629 version=1 V lat=26.6771732,lon=-113.041055}, {Node id=303051630 version=1 V lat=26.6769396,lon=-113.0410008}, {Node id=303051631 version=1 V lat=26.676706,lon=-113.0408206}, {Node id=303051632 version=1 V lat=26.6755866,lon=-113.0402347}, {Node id=303051633 version=1 V lat=26.6690143,lon=-113.0368547}, {Node id=303051634 version=1 V lat=26.6575521,lon=-113.0310411}, {Node id=303051635 version=1 V lat=26.6537339,lon=-113.02895}, {Node id=303051636 version=1 V lat=26.6506003,lon=-113.0274898}, {Node id=303051637 version=1 V lat=26.6484896,lon=-113.0264082}, {Node id=303051638 version=1 V lat=26.6470798,lon=-113.0255789}, {Node id=303051639 version=1 V lat=26.646097,lon=-113.0252004}, {Node id=303051640 version=1 V lat=26.610419,lon=-113.0069934}, {Node id=303051641 version=1 V lat=26.6100564,lon=-113.0066689}, {Node id=303051642 version=2 D }, {Node id=3702952892 version=2 MV lat=26.6079743,lon=-113.004337}, {Node id=303051643 version=1 V lat=26.606575,lon=-113.0027211}, {Node id=303051644 version=1 V lat=26.5917538,lon=-112.9860914}, {Node id=303051645 version=1 V lat=26.591246,lon=-112.9854424}, {Node id=303051646 version=1 V lat=26.5906415,lon=-112.9848566}, {Node id=303051647 version=1 V lat=26.5900772,lon=-112.9842075}, {Node id=303051648 version=1 V lat=26.5896581,lon=-112.9835676}, {Node id=303051649 version=1 V lat=26.5893115,lon=-112.983144}, {Node id=303051650 version=1 V lat=26.5885781,lon=-112.982477}, {Node id=303051655 version=1 V lat=26.5875141,lon=-112.9813143}, {Node id=303051656 version=1 V lat=26.5818558,lon=-112.9749688}, {Node id=303051657 version=1 V lat=26.5802033,lon=-112.9730491}, {Node id=303051663 version=1 V lat=26.5788088,lon=-112.9715708}, {Node id=303051686 version=1 V lat=26.5486895,lon=-112.9377076}, {Node id=303051687 version=1 V lat=26.5468995,lon=-112.9354903}, {Node id=303051688 version=1 V lat=26.5460287,lon=-112.93458}, {Node id=303051689 version=1 V lat=26.545166,lon=-112.9334984}, {Node id=303051690 version=1 V lat=26.5441097,lon=-112.9323176}, {Node id=3702950367 version=2 V lat=26.542839,lon=-112.9310092}, {Node id=303051691 version=1 V lat=26.5413439,lon=-112.9294604}, {Node id=303051692 version=1 V lat=26.5404812,lon=-112.9284418}, {Node id=303051693 version=1 V lat=26.5395135,lon=-112.9267924}, {Node id=303051694 version=1 V lat=26.5389249,lon=-112.9256477}, {Node id=303051695 version=1 V lat=26.5386346,lon=-112.9249807}, {Node id=303051696 version=1 V lat=26.5382153,lon=-112.9234214}, {Node id=303051697 version=1 V lat=26.5375137,lon=-112.9211771}, {Node id=303051698 version=1 V lat=26.5374492,lon=-112.9207715}, {Node id=303051699 version=1 V lat=26.5373928,lon=-112.9195636}, {Node id=303051700 version=1 V lat=26.5374169,lon=-112.9181576}, {Node id=303051701 version=1 V lat=26.5373766,lon=-112.9173464}, {Node id=303051702 version=1 V lat=26.537038,lon=-112.9156158}, {Node id=303051703 version=1 V lat=26.5368122,lon=-112.9139032}, {Node id=303051704 version=1 V lat=26.5367477,lon=-112.9120916}, {Node id=303051705 version=1 V lat=26.5368525,lon=-112.9111001}, {Node id=303051706 version=1 V lat=26.5368687,lon=-112.9104872}, {Node id=303051707 version=1 V lat=26.5366509,lon=-112.9081617}, {Node id=303051708 version=1 V lat=26.5364816,lon=-112.9074768}, {Node id=303051709 version=1 V lat=26.5362397,lon=-112.9068999}, {Node id=303051710 version=1 V lat=26.5361187,lon=-112.9064762}, {Node id=303051711 version=1 V lat=26.5359896,lon=-112.9058183}, {Node id=303051712 version=1 V lat=26.5357397,lon=-112.9051513}, {Node id=303051713 version=1 V lat=26.5356268,lon=-112.904926}, {Node id=303051714 version=1 V lat=26.5350301,lon=-112.9040877}, {Node id=303051715 version=1 V lat=26.5348769,lon=-112.9039254}, {Node id=303051716 version=1 V lat=26.5345624,lon=-112.9038083}, {Node id=303051717 version=1 V lat=26.5344011,lon=-112.903655}, {Node id=303051718 version=1 V lat=26.5337882,lon=-112.9025374}, {Node id=303051719 version=1 V lat=26.5319415,lon=-112.8986617}, {Node id=303051720 version=1 V lat=26.5309496,lon=-112.896841}, {Node id=303051721 version=1 V lat=26.5298206,lon=-112.8944705}, {Node id=303051722 version=1 V lat=26.5275062,lon=-112.8902251}, {Node id=303051723 version=1 V lat=26.5262562,lon=-112.888134}, {Node id=303051724 version=1 V lat=26.5250868,lon=-112.8858716}, {Node id=303051725 version=1 V lat=26.5245223,lon=-112.8849163}, {Node id=303051726 version=1 V lat=26.5239981,lon=-112.8842763}, {Node id=303051727 version=1 V lat=26.5230223,lon=-112.8834921}, {Node id=303051728 version=1 V lat=26.522482,lon=-112.8829874}, {Node id=303051729 version=1 V lat=26.5221916,lon=-112.8826539}, {Node id=303051730 version=1 V lat=26.5218529,lon=-112.8821401}, {Node id=303051731 version=1 V lat=26.5214174,lon=-112.8816804}, {Node id=303051732 version=1 V lat=26.5210544,lon=-112.8814461}, {Node id=303051733 version=1 V lat=26.5208528,lon=-112.881374}, {Node id=303051734 version=1 V lat=26.5199657,lon=-112.8812748}, {Node id=303051735 version=1 V lat=26.5191995,lon=-112.8810946}, {Node id=303051736 version=1 V lat=26.5189011,lon=-112.8809684}, {Node id=303051737 version=1 V lat=26.5185059,lon=-112.8806079}, {Node id=303051738 version=1 V lat=26.5161348,lon=-112.8778497}, {Node id=303051739 version=1 V lat=26.5156509,lon=-112.8769484}, {Node id=303051740 version=1 V lat=26.5146346,lon=-112.8754072}, {Node id=303051741 version=1 V lat=26.5130296,lon=-112.8735053}, {Node id=303051742 version=1 V lat=26.5125699,lon=-112.8728564}, {Node id=303051743 version=1 V lat=26.5119569,lon=-112.8716035}, {Node id=303051744 version=1 V lat=26.5110132,lon=-112.8704949}, {Node id=303051745 version=1 V lat=26.5100856,lon=-112.869251}, {Node id=303051747 version=1 V lat=26.5099163,lon=-112.8689806}, {Node id=303051749 version=1 V lat=26.5095372,lon=-112.8681243}, {Node id=303051752 version=1 V lat=26.5090613,lon=-112.8672861}, {Node id=303051754 version=1 V lat=26.5089645,lon=-112.8670337}, {Node id=303051757 version=1 V lat=26.5085451,lon=-112.8651859}, {Node id=303051760 version=1 V lat=26.5083515,lon=-112.8647534}, {Node id=303051762 version=1 V lat=26.5078273,lon=-112.8639782}, {Node id=303051765 version=1 V lat=26.5076417,lon=-112.8635635}, {Node id=303051767 version=1 V lat=26.507553,lon=-112.8631579}, {Node id=303051769 version=1 V lat=26.5075288,lon=-112.8623378}, {Node id=303051772 version=1 V lat=26.5074079,lon=-112.8613643}, {Node id=303051774 version=1 V lat=26.5069481,lon=-112.8593183}, {Node id=303051777 version=1 V lat=26.5068754,lon=-112.859111}, {Node id=303051779 version=1 V lat=26.5066496,lon=-112.8587234}, {Node id=303051783 version=1 V lat=26.5045928,lon=-112.8561546}, {Node id=303051786 version=1 V lat=26.5040362,lon=-112.8553074}, {Node id=303051788 version=1 V lat=26.5028666,lon=-112.8539192}, {Node id=303051791 version=1 V lat=26.501818,lon=-112.8528827}, {Node id=303051794 version=1 V lat=26.499382,lon=-112.849728}, {Node id=303051796 version=1 V lat=26.4980349,lon=-112.8482859}, {Node id=303051799 version=1 V lat=26.4975671,lon=-112.8476549}, {Node id=303051802 version=1 V lat=26.4969379,lon=-112.8464562}, {Node id=303051804 version=1 V lat=26.4961554,lon=-112.8453565}, {Node id=303051807 version=1 V lat=26.4959941,lon=-112.8447887}, {Node id=303051809 version=1 V lat=26.4958004,lon=-112.8444101}, {Node id=303051812 version=1 V lat=26.4955181,lon=-112.8440226}, {Node id=303051814 version=1 V lat=26.4935579,lon=-112.8416972}, {Node id=303051815 version=1 V lat=26.4918236,lon=-112.8398765}, {Node id=303051816 version=1 V lat=26.4911943,lon=-112.8393446}, {Node id=303051817 version=1 V lat=26.4904037,lon=-112.8388129}, {Node id=303051818 version=1 V lat=26.489718,lon=-112.8381008}, {Node id=303051819 version=1 V lat=26.4872656,lon=-112.8362621}, {Node id=303051820 version=1 V lat=26.4857086,lon=-112.8347027}, {Node id=303051821 version=1 V lat=26.48516,lon=-112.8340538}, {Node id=303051822 version=1 V lat=26.4844259,lon=-112.8330173}, {Node id=303051823 version=1 V lat=26.4841435,lon=-112.8326927}, {Node id=303051824 version=1 V lat=26.4822719,lon=-112.8313858}, {Node id=303051825 version=1 V lat=26.4819088,lon=-112.8310703}, {Node id=303051826 version=1 V lat=26.4809084,lon=-112.8299887}, {Node id=303051827 version=1 V lat=26.4805131,lon=-112.8293759}, {Node id=303051828 version=1 V lat=26.47919,lon=-112.8265727}, {Node id=303051829 version=1 V lat=26.4787946,lon=-112.8259959}, {Node id=303051830 version=1 V lat=26.4783186,lon=-112.8255362}, {Node id=303051831 version=1 V lat=26.4771327,lon=-112.8241751}, {Node id=303051832 version=1 V lat=26.4766405,lon=-112.8234991}, {Node id=303051835 version=1 V lat=26.4761807,lon=-112.822751}, {Node id=303051836 version=1 V lat=26.4745751,lon=-112.8198938}, {Node id=303051837 version=1 V lat=26.4740264,lon=-112.818686}, {Node id=303051838 version=1 V lat=26.4737522,lon=-112.8181903}, {Node id=303051839 version=1 V lat=26.4734536,lon=-112.817352}, {Node id=303051840 version=1 V lat=26.4732438,lon=-112.8170636}, {Node id=303051842 version=1 V lat=26.4708717,lon=-112.8147742}, {Node id=303051843 version=1 V lat=26.4680075,lon=-112.8122144}, {Node id=303051844 version=1 V lat=26.4675394,lon=-112.8118809}, {Node id=303051845 version=1 V lat=26.4635131,lon=-112.8096185}]} refers to deleted primitive {Node id=303051642 version=2 D }


Plugins:
+ reverter (32796)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1

Last errors/warnings:
- W: Update plugins - org.openstreetmap.josm.plugins.PluginHandler$UpdatePluginsMessagePanel[,0,0,0x0,invalid,layout=java.awt.GridBagLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]
- W: Conflicts detected - <html>There were 42 conflicts detected.</html>


=== REPORTED CRASH DATA ===
StyledMapRenderer#render:
 - record: StyleRecord [style=LineElemStyle{z_idx=[3.0/0.0/0.0] width=2.0 realWidth=0.0 color=#f7f496 dashed=null dashedColor=null linejoin=round linecap=round}, osm={Way id=27599304 version=3 MVT nodes=[{Node id=303051540 version=3 V lat=26.8168135,lon=-113.1309297}, {Node id=303051543 version=1 V lat=26.816525,lon=-113.130756}, {Node id=303051546 version=1 V lat=26.8161389,lon=-113.1303594}, {Node id=303051547 version=1 V lat=26.8139268,lon=-113.1273399}, {Node id=303051549 version=1 V lat=26.8019885,lon=-113.1115395}, {Node id=303051550 version=1 V lat=26.7710349,lon=-113.0780638}, {Node id=303051551 version=1 V lat=26.7706245,lon=-113.0776762}, {Node id=303051553 version=1 V lat=26.7305178,lon=-113.0516186}, {Node id=303051554 version=1 V lat=26.7303728,lon=-113.0515645}, {Node id=303051556 version=1 V lat=26.7300992,lon=-113.0515916}, {Node id=303051557 version=1 V lat=26.7295759,lon=-113.051907}, {Node id=303051559 version=1 V lat=26.7287548,lon=-113.0521324}, {Node id=303051560 version=1 V lat=26.7279417,lon=-113.052556}, {Node id=303051562 version=1 V lat=26.7269837,lon=-113.0529165}, {Node id=303051563 version=1 V lat=26.7265007,lon=-113.0530246}, {Node id=303051564 version=1 V lat=26.7262109,lon=-113.0531689}, {Node id=303051567 version=1 V lat=26.7257842,lon=-113.0535024}, {Node id=303051568 version=1 V lat=26.7251804,lon=-113.0537998}, {Node id=303051569 version=1 V lat=26.7246571,lon=-113.0538809}, {Node id=303051570 version=1 V lat=26.7228538,lon=-113.0537908}, {Node id=303051571 version=1 V lat=26.7193034,lon=-113.0528264}, {Node id=303051572 version=1 V lat=26.7177334,lon=-113.052619}, {Node id=303051573 version=1 V lat=26.7164453,lon=-113.0522585}, {Node id=303051574 version=1 V lat=26.7155758,lon=-113.0519521}, {Node id=303051575 version=1 V lat=26.7134583,lon=-113.0511138}, {Node id=303051576 version=1 V lat=26.7070653,lon=-113.0483467}, {Node id=303051577 version=1 V lat=26.706075,lon=-113.0477067}, {Node id=303051578 version=1 V lat=26.7056079,lon=-113.0473282}, {Node id=303051579 version=1 V lat=26.704851,lon=-113.0464089}, {Node id=303051580 version=1 V lat=26.7040378,lon=-113.0456067}, {Node id=303051581 version=1 V lat=26.7037641,lon=-113.0452371}, {Node id=303051582 version=1 V lat=26.7036674,lon=-113.0450118}, {Node id=303051583 version=1 V lat=26.7036916,lon=-113.0442457}, {Node id=303051584 version=1 V lat=26.703611,lon=-113.0440203}, {Node id=303051585 version=1 V lat=26.703442,lon=-113.0438761}, {Node id=303051589 version=1 V lat=26.7032084,lon=-113.043795}, {Node id=303051590 version=1 V lat=26.7027817,lon=-113.043795}, {Node id=303051591 version=1 V lat=26.7021698,lon=-113.0439482}, {Node id=303051592 version=1 V lat=26.7019443,lon=-113.0438491}, {Node id=303051593 version=1 V lat=26.7017269,lon=-113.0436418}, {Node id=303051594 version=1 V lat=26.7014129,lon=-113.0432182}, {Node id=303051595 version=1 V lat=26.701131,lon=-113.0427855}, {Node id=303051596 version=1 V lat=26.7007928,lon=-113.0420194}, {Node id=303051597 version=1 V lat=26.7005835,lon=-113.041812}, {Node id=303051598 version=1 V lat=26.7003016,lon=-113.041749}, {Node id=303051599 version=1 V lat=26.6993353,lon=-113.0419833}, {Node id=303051600 version=1 V lat=26.6990052,lon=-113.0420194}, {Node id=303051601 version=1 V lat=26.6972015,lon=-113.041731}, {Node id=303051602 version=1 V lat=26.6960982,lon=-113.0413523}, {Node id=303051603 version=1 V lat=26.6951722,lon=-113.0412622}, {Node id=303051604 version=1 V lat=26.6944958,lon=-113.041073}, {Node id=303051605 version=1 V lat=26.6941576,lon=-113.0408927}, {Node id=303051606 version=1 V lat=26.6934087,lon=-113.0403608}, {Node id=303051607 version=1 V lat=26.6923376,lon=-113.0400995}, {Node id=303051608 version=1 V lat=26.6917739,lon=-113.0398742}, {Node id=303051609 version=1 V lat=26.6903727,lon=-113.0391982}, {Node id=303051610 version=1 V lat=26.6888104,lon=-113.0385943}, {Node id=303051611 version=1 V lat=26.6884561,lon=-113.038414}, {Node id=303051612 version=1 V lat=26.6874495,lon=-113.0377019}, {Node id=303051613 version=1 V lat=26.6864026,lon=-113.037098}, {Node id=303051614 version=1 V lat=26.6858872,lon=-113.0367465}, {Node id=303051615 version=1 V lat=26.6856053,lon=-113.0364761}, {Node id=303051616 version=1 V lat=26.6851221,lon=-113.0358452}, {Node id=303051617 version=1 V lat=26.6843006,lon=-113.0349528}, {Node id=303051618 version=1 V lat=26.683753,lon=-113.0345112}, {Node id=303051619 version=1 V lat=26.6834792,lon=-113.0344571}, {Node id=303051620 version=1 V lat=26.6832134,lon=-113.0345383}, {Node id=303051621 version=1 V lat=26.6826496,lon=-113.0348898}, {Node id=303051622 version=1 V lat=26.6812484,lon=-113.0359714}, {Node id=303051623 version=1 V lat=26.6805719,lon=-113.0362238}, {Node id=303051624 version=1 V lat=26.6801128,lon=-113.0365483}, {Node id=303051625 version=1 V lat=26.679847,lon=-113.037044}, {Node id=303051626 version=1 V lat=26.6794041,lon=-113.03772}, {Node id=303051627 version=1 V lat=26.6776725,lon=-113.0407755}, {Node id=303051628 version=1 V lat=26.6774309,lon=-113.0410008}, {Node id=303051629 version=1 V lat=26.6771732,lon=-113.041055}, {Node id=303051630 version=1 V lat=26.6769396,lon=-113.0410008}, {Node id=303051631 version=1 V lat=26.676706,lon=-113.0408206}, {Node id=303051632 version=1 V lat=26.6755866,lon=-113.0402347}, {Node id=303051633 version=1 V lat=26.6690143,lon=-113.0368547}, {Node id=303051634 version=1 V lat=26.6575521,lon=-113.0310411}, {Node id=303051635 version=1 V lat=26.6537339,lon=-113.02895}, {Node id=303051636 version=1 V lat=26.6506003,lon=-113.0274898}, {Node id=303051637 version=1 V lat=26.6484896,lon=-113.0264082}, {Node id=303051638 version=1 V lat=26.6470798,lon=-113.0255789}, {Node id=303051639 version=1 V lat=26.646097,lon=-113.0252004}, {Node id=303051640 version=1 V lat=26.610419,lon=-113.0069934}, {Node id=303051641 version=1 V lat=26.6100564,lon=-113.0066689}, {Node id=303051642 version=2 D }, {Node id=3702952892 version=2 MV lat=26.6079743,lon=-113.004337}, {Node id=303051643 version=1 V lat=26.606575,lon=-113.0027211}, {Node id=303051644 version=1 V lat=26.5917538,lon=-112.9860914}, {Node id=303051645 version=1 V lat=26.591246,lon=-112.9854424}, {Node id=303051646 version=1 V lat=26.5906415,lon=-112.9848566}, {Node id=303051647 version=1 V lat=26.5900772,lon=-112.9842075}, {Node id=303051648 version=1 V lat=26.5896581,lon=-112.9835676}, {Node id=303051649 version=1 V lat=26.5893115,lon=-112.983144}, {Node id=303051650 version=1 V lat=26.5885781,lon=-112.982477}, {Node id=303051655 version=1 V lat=26.5875141,lon=-112.9813143}, {Node id=303051656 version=1 V lat=26.5818558,lon=-112.9749688}, {Node id=303051657 version=1 V lat=26.5802033,lon=-112.9730491}, {Node id=303051663 version=1 V lat=26.5788088,lon=-112.9715708}, {Node id=303051686 version=1 V lat=26.5486895,lon=-112.9377076}, {Node id=303051687 version=1 V lat=26.5468995,lon=-112.9354903}, {Node id=303051688 version=1 V lat=26.5460287,lon=-112.93458}, {Node id=303051689 version=1 V lat=26.545166,lon=-112.9334984}, {Node id=303051690 version=1 V lat=26.5441097,lon=-112.9323176}, {Node id=3702950367 version=2 V lat=26.542839,lon=-112.9310092}, {Node id=303051691 version=1 V lat=26.5413439,lon=-112.9294604}, {Node id=303051692 version=1 V lat=26.5404812,lon=-112.9284418}, {Node id=303051693 version=1 V lat=26.5395135,lon=-112.9267924}, {Node id=303051694 version=1 V lat=26.5389249,lon=-112.9256477}, {Node id=303051695 version=1 V lat=26.5386346,lon=-112.9249807}, {Node id=303051696 version=1 V lat=26.5382153,lon=-112.9234214}, {Node id=303051697 version=1 V lat=26.5375137,lon=-112.9211771}, {Node id=303051698 version=1 V lat=26.5374492,lon=-112.9207715}, {Node id=303051699 version=1 V lat=26.5373928,lon=-112.9195636}, {Node id=303051700 version=1 V lat=26.5374169,lon=-112.9181576}, {Node id=303051701 version=1 V lat=26.5373766,lon=-112.9173464}, {Node id=303051702 version=1 V lat=26.537038,lon=-112.9156158}, {Node id=303051703 version=1 V lat=26.5368122,lon=-112.9139032}, {Node id=303051704 version=1 V lat=26.5367477,lon=-112.9120916}, {Node id=303051705 version=1 V lat=26.5368525,lon=-112.9111001}, {Node id=303051706 version=1 V lat=26.5368687,lon=-112.9104872}, {Node id=303051707 version=1 V lat=26.5366509,lon=-112.9081617}, {Node id=303051708 version=1 V lat=26.5364816,lon=-112.9074768}, {Node id=303051709 version=1 V lat=26.5362397,lon=-112.9068999}, {Node id=303051710 version=1 V lat=26.5361187,lon=-112.9064762}, {Node id=303051711 version=1 V lat=26.5359896,lon=-112.9058183}, {Node id=303051712 version=1 V lat=26.5357397,lon=-112.9051513}, {Node id=303051713 version=1 V lat=26.5356268,lon=-112.904926}, {Node id=303051714 version=1 V lat=26.5350301,lon=-112.9040877}, {Node id=303051715 version=1 V lat=26.5348769,lon=-112.9039254}, {Node id=303051716 version=1 V lat=26.5345624,lon=-112.9038083}, {Node id=303051717 version=1 V lat=26.5344011,lon=-112.903655}, {Node id=303051718 version=1 V lat=26.5337882,lon=-112.9025374}, {Node id=303051719 version=1 V lat=26.5319415,lon=-112.8986617}, {Node id=303051720 version=1 V lat=26.5309496,lon=-112.896841}, {Node id=303051721 version=1 V lat=26.5298206,lon=-112.8944705}, {Node id=303051722 version=1 V lat=26.5275062,lon=-112.8902251}, {Node id=303051723 version=1 V lat=26.5262562,lon=-112.888134}, {Node id=303051724 version=1 V lat=26.5250868,lon=-112.8858716}, {Node id=303051725 version=1 V lat=26.5245223,lon=-112.8849163}, {Node id=303051726 version=1 V lat=26.5239981,lon=-112.8842763}, {Node id=303051727 version=1 V lat=26.5230223,lon=-112.8834921}, {Node id=303051728 version=1 V lat=26.522482,lon=-112.8829874}, {Node id=303051729 version=1 V lat=26.5221916,lon=-112.8826539}, {Node id=303051730 version=1 V lat=26.5218529,lon=-112.8821401}, {Node id=303051731 version=1 V lat=26.5214174,lon=-112.8816804}, {Node id=303051732 version=1 V lat=26.5210544,lon=-112.8814461}, {Node id=303051733 version=1 V lat=26.5208528,lon=-112.881374}, {Node id=303051734 version=1 V lat=26.5199657,lon=-112.8812748}, {Node id=303051735 version=1 V lat=26.5191995,lon=-112.8810946}, {Node id=303051736 version=1 V lat=26.5189011,lon=-112.8809684}, {Node id=303051737 version=1 V lat=26.5185059,lon=-112.8806079}, {Node id=303051738 version=1 V lat=26.5161348,lon=-112.8778497}, {Node id=303051739 version=1 V lat=26.5156509,lon=-112.8769484}, {Node id=303051740 version=1 V lat=26.5146346,lon=-112.8754072}, {Node id=303051741 version=1 V lat=26.5130296,lon=-112.8735053}, {Node id=303051742 version=1 V lat=26.5125699,lon=-112.8728564}, {Node id=303051743 version=1 V lat=26.5119569,lon=-112.8716035}, {Node id=303051744 version=1 V lat=26.5110132,lon=-112.8704949}, {Node id=303051745 version=1 V lat=26.5100856,lon=-112.869251}, {Node id=303051747 version=1 V lat=26.5099163,lon=-112.8689806}, {Node id=303051749 version=1 V lat=26.5095372,lon=-112.8681243}, {Node id=303051752 version=1 V lat=26.5090613,lon=-112.8672861}, {Node id=303051754 version=1 V lat=26.5089645,lon=-112.8670337}, {Node id=303051757 version=1 V lat=26.5085451,lon=-112.8651859}, {Node id=303051760 version=1 V lat=26.5083515,lon=-112.8647534}, {Node id=303051762 version=1 V lat=26.5078273,lon=-112.8639782}, {Node id=303051765 version=1 V lat=26.5076417,lon=-112.8635635}, {Node id=303051767 version=1 V lat=26.507553,lon=-112.8631579}, {Node id=303051769 version=1 V lat=26.5075288,lon=-112.8623378}, {Node id=303051772 version=1 V lat=26.5074079,lon=-112.8613643}, {Node id=303051774 version=1 V lat=26.5069481,lon=-112.8593183}, {Node id=303051777 version=1 V lat=26.5068754,lon=-112.859111}, {Node id=303051779 version=1 V lat=26.5066496,lon=-112.8587234}, {Node id=303051783 version=1 V lat=26.5045928,lon=-112.8561546}, {Node id=303051786 version=1 V lat=26.5040362,lon=-112.8553074}, {Node id=303051788 version=1 V lat=26.5028666,lon=-112.8539192}, {Node id=303051791 version=1 V lat=26.501818,lon=-112.8528827}, {Node id=303051794 version=1 V lat=26.499382,lon=-112.849728}, {Node id=303051796 version=1 V lat=26.4980349,lon=-112.8482859}, {Node id=303051799 version=1 V lat=26.4975671,lon=-112.8476549}, {Node id=303051802 version=1 V lat=26.4969379,lon=-112.8464562}, {Node id=303051804 version=1 V lat=26.4961554,lon=-112.8453565}, {Node id=303051807 version=1 V lat=26.4959941,lon=-112.8447887}, {Node id=303051809 version=1 V lat=26.4958004,lon=-112.8444101}, {Node id=303051812 version=1 V lat=26.4955181,lon=-112.8440226}, {Node id=303051814 version=1 V lat=26.4935579,lon=-112.8416972}, {Node id=303051815 version=1 V lat=26.4918236,lon=-112.8398765}, {Node id=303051816 version=1 V lat=26.4911943,lon=-112.8393446}, {Node id=303051817 version=1 V lat=26.4904037,lon=-112.8388129}, {Node id=303051818 version=1 V lat=26.489718,lon=-112.8381008}, {Node id=303051819 version=1 V lat=26.4872656,lon=-112.8362621}, {Node id=303051820 version=1 V lat=26.4857086,lon=-112.8347027}, {Node id=303051821 version=1 V lat=26.48516,lon=-112.8340538}, {Node id=303051822 version=1 V lat=26.4844259,lon=-112.8330173}, {Node id=303051823 version=1 V lat=26.4841435,lon=-112.8326927}, {Node id=303051824 version=1 V lat=26.4822719,lon=-112.8313858}, {Node id=303051825 version=1 V lat=26.4819088,lon=-112.8310703}, {Node id=303051826 version=1 V lat=26.4809084,lon=-112.8299887}, {Node id=303051827 version=1 V lat=26.4805131,lon=-112.8293759}, {Node id=303051828 version=1 V lat=26.47919,lon=-112.8265727}, {Node id=303051829 version=1 V lat=26.4787946,lon=-112.8259959}, {Node id=303051830 version=1 V lat=26.4783186,lon=-112.8255362}, {Node id=303051831 version=1 V lat=26.4771327,lon=-112.8241751}, {Node id=303051832 version=1 V lat=26.4766405,lon=-112.8234991}, {Node id=303051835 version=1 V lat=26.4761807,lon=-112.822751}, {Node id=303051836 version=1 V lat=26.4745751,lon=-112.8198938}, {Node id=303051837 version=1 V lat=26.4740264,lon=-112.818686}, {Node id=303051838 version=1 V lat=26.4737522,lon=-112.8181903}, {Node id=303051839 version=1 V lat=26.4734536,lon=-112.817352}, {Node id=303051840 version=1 V lat=26.4732438,lon=-112.8170636}, {Node id=303051842 version=1 V lat=26.4708717,lon=-112.8147742}, {Node id=303051843 version=1 V lat=26.4680075,lon=-112.8122144}, {Node id=303051844 version=1 V lat=26.4675394,lon=-112.8118809}, {Node id=303051845 version=1 V lat=26.4635131,lon=-112.8096185}]}, flags=0]

StyledMapRenderer#render:
 - data: org.openstreetmap.josm.data.osm.DataSet@35bae232
 - circum: 15042.522590390006
 - scale: 168.34294479892498
 - paintSettings: MapPaintSettings [useRealWidth=false, showDirectionArrow=false, showOnewayArrow=true, defaultSegmentWidth=2, showOrderNumber=false, showHeadArrowOnly=false, showNamesDistance=10000000, useStrokesDistance=10000000, showIconsDistance=10000000, selectedNodeSize=5, connectionNodeSize=5, unselectedNodeSize=3, taggedNodeSize=3, fillSelectedNode=true, fillUnselectedNode=false, fillTaggedNode=true, fillConnectionNode=false, outlineOnly=false, selectedColor=java.awt.Color[r=255,g=0,b=0], relationSelectedColor=java.awt.Color[r=255,g=0,b=255], highlightColor=java.awt.Color[r=255,g=0,b=0], inactiveColor=java.awt.Color[r=64,g=64,b=64], nodeColor=java.awt.Color[r=255,g=255,b=0], taggedColor=java.awt.Color[r=204,g=255,b=255], connectionColor=java.awt.Color[r=255,g=255,b=0], taggedConnectionColor=java.awt.Color[r=204,g=255,b=255]]
 - renderVirtualNodes: true

MapView#paintLayer:
 - layer: OsmDataLayer [name=download.osc, associatedFile=/Users/matthieugaillet/Downloads/download.osc]
 - bounds: Bounds[25.9882472,-113.8538921,27.3570907,-111.9091381]

Warning issued by: MapView#paintLayer

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (17) of main
java.lang.IllegalArgumentException: Parameter 'eastNorth' must not be null
	at org.openstreetmap.josm.tools.CheckParameterUtil.ensureParameterNotNull(CheckParameterUtil.java:83)
	at org.openstreetmap.josm.gui.MapViewState$MapViewEastNorthPoint.<init>(MapViewState.java:585)
	at org.openstreetmap.josm.gui.MapViewState.getPointFor(MapViewState.java:174)
	at org.openstreetmap.josm.gui.MapViewState.getPointFor(MapViewState.java:195)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.getForIndex(StyledMapRenderer.java:236)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.next(StyledMapRenderer.java:134)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.next(StyledMapRenderer.java:104)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.drawWay(StyledMapRenderer.java:1485)
	at org.openstreetmap.josm.gui.mappaint.styleelement.LineElement.paintPrimitive(LineElement.java:115)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleRecord.paintPrimitive(StyledMapRenderer.java:311)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1969)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:423)
	at org.openstreetmap.josm.gui.layer.AbstractMapViewPaintable$CompatibilityModeLayerPainter.paint(AbstractMapViewPaintable.java:27)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:436)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:515)
	at javax.swing.JComponent.paintChildren(JComponent.java:889)
	at javax.swing.JComponent.paint(JComponent.java:1065)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5210)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(RepaintManager.java:1579)
	at javax.swing.RepaintManager$PaintManager.paint(RepaintManager.java:1502)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1272)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5158)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4969)
	at javax.swing.RepaintManager$4.run(RepaintManager.java:831)
	at javax.swing.RepaintManager$4.run(RepaintManager.java:814)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:814)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:789)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:738)
	at javax.swing.RepaintManager.access$1200(RepaintManager.java:64)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1732)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.HelpAwareOptionPane.doShowOptionDialog(HelpAwareOptionPane.java:311)
	at org.openstreetmap.josm.gui.HelpAwareOptionPane.showOptionDialog(HelpAwareOptionPane.java:247)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.lambda$warnNumNewConflicts$2(ConflictDialog.java:596)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:102)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.warnNumNewConflicts(ConflictDialog.java:595)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:512)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:460)
	at org.openstreetmap.josm.gui.io.AbstractPrimitiveTask.lambda$finish$0(AbstractPrimitiveTask.java:187)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:116)
	at org.openstreetmap.josm.gui.io.AbstractPrimitiveTask.finish(AbstractPrimitiveTask.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor.lambda$doBeginTask$2(PleaseWaitProgressMonitor.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

comment:6 Changed 2 years ago by michael2402

There is one deleted node without coordinates in that way:

{Node id=303051642 version=2 D }

This is exactly where the rendering crashes.

Last edited 2 years ago by michael2402 (previous) (diff)

comment:7 Changed 2 years ago by Don-vip

Ticket #13733 has been marked as a duplicate of this ticket.

comment:8 Changed 2 years ago by Don-vip

Keywords: regression gsoc-core added
Milestone: 16.09
Priority: normalmajor

comment:9 Changed 2 years ago by Don-vip

Ticket #13736 has been marked as a duplicate of this ticket.

comment:10 Changed 2 years ago by michael2402

Resolution: fixed
Status: newclosed

In 11079/josm:

Fix #13665: A way is only selectable if it is drawable.

comment:11 Changed 2 years ago by michael2402

This seems to have happened before:
In Line 1039 in NavigatableComponent:

if (n.isDeleted() || n.isIncomplete()) { //FIXME: This shouldn't happen, raise exception?

The problem seems to be a problem with determining if a node is drawable.

The DatasetConsistencyTest assumes that a Node needs coordinates if:

!node.isIncomplete() && node.isVisible()
<=>
(flags & FLAG_INCOMPLETE) == 0 && (flags & FLAG_VISIBLE) != 0

Side note: The checkCompleteWaysWithIncompleteNodes seems to be disabled: Each way is only tested if it is usable. A usable way implies that all nodes are not incomplete.

The VirtualManager requires for the Way:

(flags & (FLAG_DELETED + FLAG_INCOMPLETE + FLAG_DISABLED + FLAG_HIDE_IF_DISABLED)) == 0
  • The deleted flag is clear.
  • The incomplete flag is unset as soon as anything other than the id/type is known. It has nothing to do with the nodes (at least according to FLAG_INCOMPLETE javadoc).
  • The disabled flags are only used by the filter
  • FLAG_HIDE_IF_DISABLED is imo not necessary here

I added a test that all node coordinates are known there.

Short: We should have a further look at the whole incompleteness / ... states. I (hopefully) fixed this issue, but the inconsistencies found in some exceptions might be caused by other issues... #13736 has a zero-node way. #13710 has referenced deleted nodes.

comment:12 Changed 2 years ago by michael2402

Ticket #13537 has been marked as a duplicate of this ticket.

comment:13 Changed 2 years ago by michael2402

Ticket #13677 has been marked as a duplicate of this ticket.

comment:14 Changed 2 years ago by mgwebmail@…

Does not solve my particular case (as detailed in the bug report above)

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-10-05 01:26:43 +0200 (Wed, 05 Oct 2016)
Build-Date:2016-10-05 01:33:19
Revision:11079
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11079 en) Mac OS X 10.11.6
Memory Usage: 436 MB / 910 MB (280 MB allocated, but free)
Java version: 1.8.0_101-b13, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 616567133 1024x768, Display 69673792 1920x1200
Maximum Screen Size: 1920x1200

Dataset consistency test:
[DELETED REFERENCED] {Way id=27599304 version=3 MVT nodes=[{Node id=303051540 version=3 V lat=26.8168135,lon=-113.1309297}, {Node id=303051543 version=1 V lat=26.816525,lon=-113.130756}, {Node id=303051546 version=1 V lat=26.8161389,lon=-113.1303594}, {Node id=303051547 version=1 V lat=26.8139268,lon=-113.1273399}, {Node id=303051549 version=1 V lat=26.8019885,lon=-113.1115395}, {Node id=303051550 version=1 V lat=26.7710349,lon=-113.0780638}, {Node id=303051551 version=1 V lat=26.7706245,lon=-113.0776762}, {Node id=303051553 version=1 V lat=26.7305178,lon=-113.0516186}, {Node id=303051554 version=1 V lat=26.7303728,lon=-113.0515645}, {Node id=303051556 version=1 V lat=26.7300992,lon=-113.0515916}, {Node id=303051557 version=1 V lat=26.7295759,lon=-113.051907}, {Node id=303051559 version=1 V lat=26.7287548,lon=-113.0521324}, {Node id=303051560 version=1 V lat=26.7279417,lon=-113.052556}, {Node id=303051562 version=1 V lat=26.7269837,lon=-113.0529165}, {Node id=303051563 version=1 V lat=26.7265007,lon=-113.0530246}, {Node id=303051564 version=1 V lat=26.7262109,lon=-113.0531689}, {Node id=303051567 version=1 V lat=26.7257842,lon=-113.0535024}, {Node id=303051568 version=1 V lat=26.7251804,lon=-113.0537998}, {Node id=303051569 version=1 V lat=26.7246571,lon=-113.0538809}, {Node id=303051570 version=1 V lat=26.7228538,lon=-113.0537908}, {Node id=303051571 version=1 V lat=26.7193034,lon=-113.0528264}, {Node id=303051572 version=1 V lat=26.7177334,lon=-113.052619}, {Node id=303051573 version=1 V lat=26.7164453,lon=-113.0522585}, {Node id=303051574 version=1 V lat=26.7155758,lon=-113.0519521}, {Node id=303051575 version=1 V lat=26.7134583,lon=-113.0511138}, {Node id=303051576 version=1 V lat=26.7070653,lon=-113.0483467}, {Node id=303051577 version=1 V lat=26.706075,lon=-113.0477067}, {Node id=303051578 version=1 V lat=26.7056079,lon=-113.0473282}, {Node id=303051579 version=1 V lat=26.704851,lon=-113.0464089}, {Node id=303051580 version=1 V lat=26.7040378,lon=-113.0456067}, {Node id=303051581 version=1 V lat=26.7037641,lon=-113.0452371}, {Node id=303051582 version=1 V lat=26.7036674,lon=-113.0450118}, {Node id=303051583 version=1 V lat=26.7036916,lon=-113.0442457}, {Node id=303051584 version=1 V lat=26.703611,lon=-113.0440203}, {Node id=303051585 version=1 V lat=26.703442,lon=-113.0438761}, {Node id=303051589 version=1 V lat=26.7032084,lon=-113.043795}, {Node id=303051590 version=1 V lat=26.7027817,lon=-113.043795}, {Node id=303051591 version=1 V lat=26.7021698,lon=-113.0439482}, {Node id=303051592 version=1 V lat=26.7019443,lon=-113.0438491}, {Node id=303051593 version=1 V lat=26.7017269,lon=-113.0436418}, {Node id=303051594 version=1 V lat=26.7014129,lon=-113.0432182}, {Node id=303051595 version=1 V lat=26.701131,lon=-113.0427855}, {Node id=303051596 version=1 V lat=26.7007928,lon=-113.0420194}, {Node id=303051597 version=1 V lat=26.7005835,lon=-113.041812}, {Node id=303051598 version=1 V lat=26.7003016,lon=-113.041749}, {Node id=303051599 version=1 V lat=26.6993353,lon=-113.0419833}, {Node id=303051600 version=1 V lat=26.6990052,lon=-113.0420194}, {Node id=303051601 version=1 V lat=26.6972015,lon=-113.041731}, {Node id=303051602 version=1 V lat=26.6960982,lon=-113.0413523}, {Node id=303051603 version=1 V lat=26.6951722,lon=-113.0412622}, {Node id=303051604 version=1 V lat=26.6944958,lon=-113.041073}, {Node id=303051605 version=1 V lat=26.6941576,lon=-113.0408927}, {Node id=303051606 version=1 V lat=26.6934087,lon=-113.0403608}, {Node id=303051607 version=1 V lat=26.6923376,lon=-113.0400995}, {Node id=303051608 version=1 V lat=26.6917739,lon=-113.0398742}, {Node id=303051609 version=1 V lat=26.6903727,lon=-113.0391982}, {Node id=303051610 version=1 V lat=26.6888104,lon=-113.0385943}, {Node id=303051611 version=1 V lat=26.6884561,lon=-113.038414}, {Node id=303051612 version=1 V lat=26.6874495,lon=-113.0377019}, {Node id=303051613 version=1 V lat=26.6864026,lon=-113.037098}, {Node id=303051614 version=1 V lat=26.6858872,lon=-113.0367465}, {Node id=303051615 version=1 V lat=26.6856053,lon=-113.0364761}, {Node id=303051616 version=1 V lat=26.6851221,lon=-113.0358452}, {Node id=303051617 version=1 V lat=26.6843006,lon=-113.0349528}, {Node id=303051618 version=1 V lat=26.683753,lon=-113.0345112}, {Node id=303051619 version=1 V lat=26.6834792,lon=-113.0344571}, {Node id=303051620 version=1 V lat=26.6832134,lon=-113.0345383}, {Node id=303051621 version=1 V lat=26.6826496,lon=-113.0348898}, {Node id=303051622 version=1 V lat=26.6812484,lon=-113.0359714}, {Node id=303051623 version=1 V lat=26.6805719,lon=-113.0362238}, {Node id=303051624 version=1 V lat=26.6801128,lon=-113.0365483}, {Node id=303051625 version=1 V lat=26.679847,lon=-113.037044}, {Node id=303051626 version=1 V lat=26.6794041,lon=-113.03772}, {Node id=303051627 version=1 V lat=26.6776725,lon=-113.0407755}, {Node id=303051628 version=1 V lat=26.6774309,lon=-113.0410008}, {Node id=303051629 version=1 V lat=26.6771732,lon=-113.041055}, {Node id=303051630 version=1 V lat=26.6769396,lon=-113.0410008}, {Node id=303051631 version=1 V lat=26.676706,lon=-113.0408206}, {Node id=303051632 version=1 V lat=26.6755866,lon=-113.0402347}, {Node id=303051633 version=1 V lat=26.6690143,lon=-113.0368547}, {Node id=303051634 version=1 V lat=26.6575521,lon=-113.0310411}, {Node id=303051635 version=1 V lat=26.6537339,lon=-113.02895}, {Node id=303051636 version=1 V lat=26.6506003,lon=-113.0274898}, {Node id=303051637 version=1 V lat=26.6484896,lon=-113.0264082}, {Node id=303051638 version=1 V lat=26.6470798,lon=-113.0255789}, {Node id=303051639 version=1 V lat=26.646097,lon=-113.0252004}, {Node id=303051640 version=1 V lat=26.610419,lon=-113.0069934}, {Node id=303051641 version=1 V lat=26.6100564,lon=-113.0066689}, {Node id=303051642 version=2 D }, {Node id=3702952892 version=2 MV lat=26.6079743,lon=-113.004337}, {Node id=303051643 version=1 V lat=26.606575,lon=-113.0027211}, {Node id=303051644 version=1 V lat=26.5917538,lon=-112.9860914}, {Node id=303051645 version=1 V lat=26.591246,lon=-112.9854424}, {Node id=303051646 version=1 V lat=26.5906415,lon=-112.9848566}, {Node id=303051647 version=1 V lat=26.5900772,lon=-112.9842075}, {Node id=303051648 version=1 V lat=26.5896581,lon=-112.9835676}, {Node id=303051649 version=1 V lat=26.5893115,lon=-112.983144}, {Node id=303051650 version=1 V lat=26.5885781,lon=-112.982477}, {Node id=303051655 version=1 V lat=26.5875141,lon=-112.9813143}, {Node id=303051656 version=1 V lat=26.5818558,lon=-112.9749688}, {Node id=303051657 version=1 V lat=26.5802033,lon=-112.9730491}, {Node id=303051663 version=1 V lat=26.5788088,lon=-112.9715708}, {Node id=303051686 version=1 V lat=26.5486895,lon=-112.9377076}, {Node id=303051687 version=1 V lat=26.5468995,lon=-112.9354903}, {Node id=303051688 version=1 V lat=26.5460287,lon=-112.93458}, {Node id=303051689 version=1 V lat=26.545166,lon=-112.9334984}, {Node id=303051690 version=1 V lat=26.5441097,lon=-112.9323176}, {Node id=3702950367 version=2 V lat=26.542839,lon=-112.9310092}, {Node id=303051691 version=1 V lat=26.5413439,lon=-112.9294604}, {Node id=303051692 version=1 V lat=26.5404812,lon=-112.9284418}, {Node id=303051693 version=1 V lat=26.5395135,lon=-112.9267924}, {Node id=303051694 version=1 V lat=26.5389249,lon=-112.9256477}, {Node id=303051695 version=1 V lat=26.5386346,lon=-112.9249807}, {Node id=303051696 version=1 V lat=26.5382153,lon=-112.9234214}, {Node id=303051697 version=1 V lat=26.5375137,lon=-112.9211771}, {Node id=303051698 version=1 V lat=26.5374492,lon=-112.9207715}, {Node id=303051699 version=1 V lat=26.5373928,lon=-112.9195636}, {Node id=303051700 version=1 V lat=26.5374169,lon=-112.9181576}, {Node id=303051701 version=1 V lat=26.5373766,lon=-112.9173464}, {Node id=303051702 version=1 V lat=26.537038,lon=-112.9156158}, {Node id=303051703 version=1 V lat=26.5368122,lon=-112.9139032}, {Node id=303051704 version=1 V lat=26.5367477,lon=-112.9120916}, {Node id=303051705 version=1 V lat=26.5368525,lon=-112.9111001}, {Node id=303051706 version=1 V lat=26.5368687,lon=-112.9104872}, {Node id=303051707 version=1 V lat=26.5366509,lon=-112.9081617}, {Node id=303051708 version=1 V lat=26.5364816,lon=-112.9074768}, {Node id=303051709 version=1 V lat=26.5362397,lon=-112.9068999}, {Node id=303051710 version=1 V lat=26.5361187,lon=-112.9064762}, {Node id=303051711 version=1 V lat=26.5359896,lon=-112.9058183}, {Node id=303051712 version=1 V lat=26.5357397,lon=-112.9051513}, {Node id=303051713 version=1 V lat=26.5356268,lon=-112.904926}, {Node id=303051714 version=1 V lat=26.5350301,lon=-112.9040877}, {Node id=303051715 version=1 V lat=26.5348769,lon=-112.9039254}, {Node id=303051716 version=1 V lat=26.5345624,lon=-112.9038083}, {Node id=303051717 version=1 V lat=26.5344011,lon=-112.903655}, {Node id=303051718 version=1 V lat=26.5337882,lon=-112.9025374}, {Node id=303051719 version=1 V lat=26.5319415,lon=-112.8986617}, {Node id=303051720 version=1 V lat=26.5309496,lon=-112.896841}, {Node id=303051721 version=1 V lat=26.5298206,lon=-112.8944705}, {Node id=303051722 version=1 V lat=26.5275062,lon=-112.8902251}, {Node id=303051723 version=1 V lat=26.5262562,lon=-112.888134}, {Node id=303051724 version=1 V lat=26.5250868,lon=-112.8858716}, {Node id=303051725 version=1 V lat=26.5245223,lon=-112.8849163}, {Node id=303051726 version=1 V lat=26.5239981,lon=-112.8842763}, {Node id=303051727 version=1 V lat=26.5230223,lon=-112.8834921}, {Node id=303051728 version=1 V lat=26.522482,lon=-112.8829874}, {Node id=303051729 version=1 V lat=26.5221916,lon=-112.8826539}, {Node id=303051730 version=1 V lat=26.5218529,lon=-112.8821401}, {Node id=303051731 version=1 V lat=26.5214174,lon=-112.8816804}, {Node id=303051732 version=1 V lat=26.5210544,lon=-112.8814461}, {Node id=303051733 version=1 V lat=26.5208528,lon=-112.881374}, {Node id=303051734 version=1 V lat=26.5199657,lon=-112.8812748}, {Node id=303051735 version=1 V lat=26.5191995,lon=-112.8810946}, {Node id=303051736 version=1 V lat=26.5189011,lon=-112.8809684}, {Node id=303051737 version=1 V lat=26.5185059,lon=-112.8806079}, {Node id=303051738 version=1 V lat=26.5161348,lon=-112.8778497}, {Node id=303051739 version=1 V lat=26.5156509,lon=-112.8769484}, {Node id=303051740 version=1 V lat=26.5146346,lon=-112.8754072}, {Node id=303051741 version=1 V lat=26.5130296,lon=-112.8735053}, {Node id=303051742 version=1 V lat=26.5125699,lon=-112.8728564}, {Node id=303051743 version=1 V lat=26.5119569,lon=-112.8716035}, {Node id=303051744 version=1 V lat=26.5110132,lon=-112.8704949}, {Node id=303051745 version=1 V lat=26.5100856,lon=-112.869251}, {Node id=303051747 version=1 V lat=26.5099163,lon=-112.8689806}, {Node id=303051749 version=1 V lat=26.5095372,lon=-112.8681243}, {Node id=303051752 version=1 V lat=26.5090613,lon=-112.8672861}, {Node id=303051754 version=1 V lat=26.5089645,lon=-112.8670337}, {Node id=303051757 version=1 V lat=26.5085451,lon=-112.8651859}, {Node id=303051760 version=1 V lat=26.5083515,lon=-112.8647534}, {Node id=303051762 version=1 V lat=26.5078273,lon=-112.8639782}, {Node id=303051765 version=1 V lat=26.5076417,lon=-112.8635635}, {Node id=303051767 version=1 V lat=26.507553,lon=-112.8631579}, {Node id=303051769 version=1 V lat=26.5075288,lon=-112.8623378}, {Node id=303051772 version=1 V lat=26.5074079,lon=-112.8613643}, {Node id=303051774 version=1 V lat=26.5069481,lon=-112.8593183}, {Node id=303051777 version=1 V lat=26.5068754,lon=-112.859111}, {Node id=303051779 version=1 V lat=26.5066496,lon=-112.8587234}, {Node id=303051783 version=1 V lat=26.5045928,lon=-112.8561546}, {Node id=303051786 version=1 V lat=26.5040362,lon=-112.8553074}, {Node id=303051788 version=1 V lat=26.5028666,lon=-112.8539192}, {Node id=303051791 version=1 V lat=26.501818,lon=-112.8528827}, {Node id=303051794 version=1 V lat=26.499382,lon=-112.849728}, {Node id=303051796 version=1 V lat=26.4980349,lon=-112.8482859}, {Node id=303051799 version=1 V lat=26.4975671,lon=-112.8476549}, {Node id=303051802 version=1 V lat=26.4969379,lon=-112.8464562}, {Node id=303051804 version=1 V lat=26.4961554,lon=-112.8453565}, {Node id=303051807 version=1 V lat=26.4959941,lon=-112.8447887}, {Node id=303051809 version=1 V lat=26.4958004,lon=-112.8444101}, {Node id=303051812 version=1 V lat=26.4955181,lon=-112.8440226}, {Node id=303051814 version=1 V lat=26.4935579,lon=-112.8416972}, {Node id=303051815 version=1 V lat=26.4918236,lon=-112.8398765}, {Node id=303051816 version=1 V lat=26.4911943,lon=-112.8393446}, {Node id=303051817 version=1 V lat=26.4904037,lon=-112.8388129}, {Node id=303051818 version=1 V lat=26.489718,lon=-112.8381008}, {Node id=303051819 version=1 V lat=26.4872656,lon=-112.8362621}, {Node id=303051820 version=1 V lat=26.4857086,lon=-112.8347027}, {Node id=303051821 version=1 V lat=26.48516,lon=-112.8340538}, {Node id=303051822 version=1 V lat=26.4844259,lon=-112.8330173}, {Node id=303051823 version=1 V lat=26.4841435,lon=-112.8326927}, {Node id=303051824 version=1 V lat=26.4822719,lon=-112.8313858}, {Node id=303051825 version=1 V lat=26.4819088,lon=-112.8310703}, {Node id=303051826 version=1 V lat=26.4809084,lon=-112.8299887}, {Node id=303051827 version=1 V lat=26.4805131,lon=-112.8293759}, {Node id=303051828 version=1 V lat=26.47919,lon=-112.8265727}, {Node id=303051829 version=1 V lat=26.4787946,lon=-112.8259959}, {Node id=303051830 version=1 V lat=26.4783186,lon=-112.8255362}, {Node id=303051831 version=1 V lat=26.4771327,lon=-112.8241751}, {Node id=303051832 version=1 V lat=26.4766405,lon=-112.8234991}, {Node id=303051835 version=1 V lat=26.4761807,lon=-112.822751}, {Node id=303051836 version=1 V lat=26.4745751,lon=-112.8198938}, {Node id=303051837 version=1 V lat=26.4740264,lon=-112.818686}, {Node id=303051838 version=1 V lat=26.4737522,lon=-112.8181903}, {Node id=303051839 version=1 V lat=26.4734536,lon=-112.817352}, {Node id=303051840 version=1 V lat=26.4732438,lon=-112.8170636}, {Node id=303051842 version=1 V lat=26.4708717,lon=-112.8147742}, {Node id=303051843 version=1 V lat=26.4680075,lon=-112.8122144}, {Node id=303051844 version=1 V lat=26.4675394,lon=-112.8118809}, {Node id=303051845 version=1 V lat=26.4635131,lon=-112.8096185}]} refers to deleted primitive {Node id=303051642 version=2 D }


Plugins:
+ reverter (32796)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1

Last errors/warnings:
- W: Update plugins - org.openstreetmap.josm.plugins.PluginHandler$UpdatePluginsMessagePanel[,0,0,0x0,invalid,layout=java.awt.GridBagLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]
- E: java.io.IOException: Font transform has NaN position
- W: Conflicts detected - <html>There were 42 conflicts detected.</html>


=== REPORTED CRASH DATA ===
StyledMapRenderer#render:
 - record: StyleRecord [style=LineElemStyle{z_idx=[3.0/0.0/0.0] width=2.0 realWidth=0.0 color=#f7f496 dashed=null dashedColor=null linejoin=round linecap=round}, osm={Way id=27599304 version=3 MVT nodes=[{Node id=303051540 version=3 V lat=26.8168135,lon=-113.1309297}, {Node id=303051543 version=1 V lat=26.816525,lon=-113.130756}, {Node id=303051546 version=1 V lat=26.8161389,lon=-113.1303594}, {Node id=303051547 version=1 V lat=26.8139268,lon=-113.1273399}, {Node id=303051549 version=1 V lat=26.8019885,lon=-113.1115395}, {Node id=303051550 version=1 V lat=26.7710349,lon=-113.0780638}, {Node id=303051551 version=1 V lat=26.7706245,lon=-113.0776762}, {Node id=303051553 version=1 V lat=26.7305178,lon=-113.0516186}, {Node id=303051554 version=1 V lat=26.7303728,lon=-113.0515645}, {Node id=303051556 version=1 V lat=26.7300992,lon=-113.0515916}, {Node id=303051557 version=1 V lat=26.7295759,lon=-113.051907}, {Node id=303051559 version=1 V lat=26.7287548,lon=-113.0521324}, {Node id=303051560 version=1 V lat=26.7279417,lon=-113.052556}, {Node id=303051562 version=1 V lat=26.7269837,lon=-113.0529165}, {Node id=303051563 version=1 V lat=26.7265007,lon=-113.0530246}, {Node id=303051564 version=1 V lat=26.7262109,lon=-113.0531689}, {Node id=303051567 version=1 V lat=26.7257842,lon=-113.0535024}, {Node id=303051568 version=1 V lat=26.7251804,lon=-113.0537998}, {Node id=303051569 version=1 V lat=26.7246571,lon=-113.0538809}, {Node id=303051570 version=1 V lat=26.7228538,lon=-113.0537908}, {Node id=303051571 version=1 V lat=26.7193034,lon=-113.0528264}, {Node id=303051572 version=1 V lat=26.7177334,lon=-113.052619}, {Node id=303051573 version=1 V lat=26.7164453,lon=-113.0522585}, {Node id=303051574 version=1 V lat=26.7155758,lon=-113.0519521}, {Node id=303051575 version=1 V lat=26.7134583,lon=-113.0511138}, {Node id=303051576 version=1 V lat=26.7070653,lon=-113.0483467}, {Node id=303051577 version=1 V lat=26.706075,lon=-113.0477067}, {Node id=303051578 version=1 V lat=26.7056079,lon=-113.0473282}, {Node id=303051579 version=1 V lat=26.704851,lon=-113.0464089}, {Node id=303051580 version=1 V lat=26.7040378,lon=-113.0456067}, {Node id=303051581 version=1 V lat=26.7037641,lon=-113.0452371}, {Node id=303051582 version=1 V lat=26.7036674,lon=-113.0450118}, {Node id=303051583 version=1 V lat=26.7036916,lon=-113.0442457}, {Node id=303051584 version=1 V lat=26.703611,lon=-113.0440203}, {Node id=303051585 version=1 V lat=26.703442,lon=-113.0438761}, {Node id=303051589 version=1 V lat=26.7032084,lon=-113.043795}, {Node id=303051590 version=1 V lat=26.7027817,lon=-113.043795}, {Node id=303051591 version=1 V lat=26.7021698,lon=-113.0439482}, {Node id=303051592 version=1 V lat=26.7019443,lon=-113.0438491}, {Node id=303051593 version=1 V lat=26.7017269,lon=-113.0436418}, {Node id=303051594 version=1 V lat=26.7014129,lon=-113.0432182}, {Node id=303051595 version=1 V lat=26.701131,lon=-113.0427855}, {Node id=303051596 version=1 V lat=26.7007928,lon=-113.0420194}, {Node id=303051597 version=1 V lat=26.7005835,lon=-113.041812}, {Node id=303051598 version=1 V lat=26.7003016,lon=-113.041749}, {Node id=303051599 version=1 V lat=26.6993353,lon=-113.0419833}, {Node id=303051600 version=1 V lat=26.6990052,lon=-113.0420194}, {Node id=303051601 version=1 V lat=26.6972015,lon=-113.041731}, {Node id=303051602 version=1 V lat=26.6960982,lon=-113.0413523}, {Node id=303051603 version=1 V lat=26.6951722,lon=-113.0412622}, {Node id=303051604 version=1 V lat=26.6944958,lon=-113.041073}, {Node id=303051605 version=1 V lat=26.6941576,lon=-113.0408927}, {Node id=303051606 version=1 V lat=26.6934087,lon=-113.0403608}, {Node id=303051607 version=1 V lat=26.6923376,lon=-113.0400995}, {Node id=303051608 version=1 V lat=26.6917739,lon=-113.0398742}, {Node id=303051609 version=1 V lat=26.6903727,lon=-113.0391982}, {Node id=303051610 version=1 V lat=26.6888104,lon=-113.0385943}, {Node id=303051611 version=1 V lat=26.6884561,lon=-113.038414}, {Node id=303051612 version=1 V lat=26.6874495,lon=-113.0377019}, {Node id=303051613 version=1 V lat=26.6864026,lon=-113.037098}, {Node id=303051614 version=1 V lat=26.6858872,lon=-113.0367465}, {Node id=303051615 version=1 V lat=26.6856053,lon=-113.0364761}, {Node id=303051616 version=1 V lat=26.6851221,lon=-113.0358452}, {Node id=303051617 version=1 V lat=26.6843006,lon=-113.0349528}, {Node id=303051618 version=1 V lat=26.683753,lon=-113.0345112}, {Node id=303051619 version=1 V lat=26.6834792,lon=-113.0344571}, {Node id=303051620 version=1 V lat=26.6832134,lon=-113.0345383}, {Node id=303051621 version=1 V lat=26.6826496,lon=-113.0348898}, {Node id=303051622 version=1 V lat=26.6812484,lon=-113.0359714}, {Node id=303051623 version=1 V lat=26.6805719,lon=-113.0362238}, {Node id=303051624 version=1 V lat=26.6801128,lon=-113.0365483}, {Node id=303051625 version=1 V lat=26.679847,lon=-113.037044}, {Node id=303051626 version=1 V lat=26.6794041,lon=-113.03772}, {Node id=303051627 version=1 V lat=26.6776725,lon=-113.0407755}, {Node id=303051628 version=1 V lat=26.6774309,lon=-113.0410008}, {Node id=303051629 version=1 V lat=26.6771732,lon=-113.041055}, {Node id=303051630 version=1 V lat=26.6769396,lon=-113.0410008}, {Node id=303051631 version=1 V lat=26.676706,lon=-113.0408206}, {Node id=303051632 version=1 V lat=26.6755866,lon=-113.0402347}, {Node id=303051633 version=1 V lat=26.6690143,lon=-113.0368547}, {Node id=303051634 version=1 V lat=26.6575521,lon=-113.0310411}, {Node id=303051635 version=1 V lat=26.6537339,lon=-113.02895}, {Node id=303051636 version=1 V lat=26.6506003,lon=-113.0274898}, {Node id=303051637 version=1 V lat=26.6484896,lon=-113.0264082}, {Node id=303051638 version=1 V lat=26.6470798,lon=-113.0255789}, {Node id=303051639 version=1 V lat=26.646097,lon=-113.0252004}, {Node id=303051640 version=1 V lat=26.610419,lon=-113.0069934}, {Node id=303051641 version=1 V lat=26.6100564,lon=-113.0066689}, {Node id=303051642 version=2 D }, {Node id=3702952892 version=2 MV lat=26.6079743,lon=-113.004337}, {Node id=303051643 version=1 V lat=26.606575,lon=-113.0027211}, {Node id=303051644 version=1 V lat=26.5917538,lon=-112.9860914}, {Node id=303051645 version=1 V lat=26.591246,lon=-112.9854424}, {Node id=303051646 version=1 V lat=26.5906415,lon=-112.9848566}, {Node id=303051647 version=1 V lat=26.5900772,lon=-112.9842075}, {Node id=303051648 version=1 V lat=26.5896581,lon=-112.9835676}, {Node id=303051649 version=1 V lat=26.5893115,lon=-112.983144}, {Node id=303051650 version=1 V lat=26.5885781,lon=-112.982477}, {Node id=303051655 version=1 V lat=26.5875141,lon=-112.9813143}, {Node id=303051656 version=1 V lat=26.5818558,lon=-112.9749688}, {Node id=303051657 version=1 V lat=26.5802033,lon=-112.9730491}, {Node id=303051663 version=1 V lat=26.5788088,lon=-112.9715708}, {Node id=303051686 version=1 V lat=26.5486895,lon=-112.9377076}, {Node id=303051687 version=1 V lat=26.5468995,lon=-112.9354903}, {Node id=303051688 version=1 V lat=26.5460287,lon=-112.93458}, {Node id=303051689 version=1 V lat=26.545166,lon=-112.9334984}, {Node id=303051690 version=1 V lat=26.5441097,lon=-112.9323176}, {Node id=3702950367 version=2 V lat=26.542839,lon=-112.9310092}, {Node id=303051691 version=1 V lat=26.5413439,lon=-112.9294604}, {Node id=303051692 version=1 V lat=26.5404812,lon=-112.9284418}, {Node id=303051693 version=1 V lat=26.5395135,lon=-112.9267924}, {Node id=303051694 version=1 V lat=26.5389249,lon=-112.9256477}, {Node id=303051695 version=1 V lat=26.5386346,lon=-112.9249807}, {Node id=303051696 version=1 V lat=26.5382153,lon=-112.9234214}, {Node id=303051697 version=1 V lat=26.5375137,lon=-112.9211771}, {Node id=303051698 version=1 V lat=26.5374492,lon=-112.9207715}, {Node id=303051699 version=1 V lat=26.5373928,lon=-112.9195636}, {Node id=303051700 version=1 V lat=26.5374169,lon=-112.9181576}, {Node id=303051701 version=1 V lat=26.5373766,lon=-112.9173464}, {Node id=303051702 version=1 V lat=26.537038,lon=-112.9156158}, {Node id=303051703 version=1 V lat=26.5368122,lon=-112.9139032}, {Node id=303051704 version=1 V lat=26.5367477,lon=-112.9120916}, {Node id=303051705 version=1 V lat=26.5368525,lon=-112.9111001}, {Node id=303051706 version=1 V lat=26.5368687,lon=-112.9104872}, {Node id=303051707 version=1 V lat=26.5366509,lon=-112.9081617}, {Node id=303051708 version=1 V lat=26.5364816,lon=-112.9074768}, {Node id=303051709 version=1 V lat=26.5362397,lon=-112.9068999}, {Node id=303051710 version=1 V lat=26.5361187,lon=-112.9064762}, {Node id=303051711 version=1 V lat=26.5359896,lon=-112.9058183}, {Node id=303051712 version=1 V lat=26.5357397,lon=-112.9051513}, {Node id=303051713 version=1 V lat=26.5356268,lon=-112.904926}, {Node id=303051714 version=1 V lat=26.5350301,lon=-112.9040877}, {Node id=303051715 version=1 V lat=26.5348769,lon=-112.9039254}, {Node id=303051716 version=1 V lat=26.5345624,lon=-112.9038083}, {Node id=303051717 version=1 V lat=26.5344011,lon=-112.903655}, {Node id=303051718 version=1 V lat=26.5337882,lon=-112.9025374}, {Node id=303051719 version=1 V lat=26.5319415,lon=-112.8986617}, {Node id=303051720 version=1 V lat=26.5309496,lon=-112.896841}, {Node id=303051721 version=1 V lat=26.5298206,lon=-112.8944705}, {Node id=303051722 version=1 V lat=26.5275062,lon=-112.8902251}, {Node id=303051723 version=1 V lat=26.5262562,lon=-112.888134}, {Node id=303051724 version=1 V lat=26.5250868,lon=-112.8858716}, {Node id=303051725 version=1 V lat=26.5245223,lon=-112.8849163}, {Node id=303051726 version=1 V lat=26.5239981,lon=-112.8842763}, {Node id=303051727 version=1 V lat=26.5230223,lon=-112.8834921}, {Node id=303051728 version=1 V lat=26.522482,lon=-112.8829874}, {Node id=303051729 version=1 V lat=26.5221916,lon=-112.8826539}, {Node id=303051730 version=1 V lat=26.5218529,lon=-112.8821401}, {Node id=303051731 version=1 V lat=26.5214174,lon=-112.8816804}, {Node id=303051732 version=1 V lat=26.5210544,lon=-112.8814461}, {Node id=303051733 version=1 V lat=26.5208528,lon=-112.881374}, {Node id=303051734 version=1 V lat=26.5199657,lon=-112.8812748}, {Node id=303051735 version=1 V lat=26.5191995,lon=-112.8810946}, {Node id=303051736 version=1 V lat=26.5189011,lon=-112.8809684}, {Node id=303051737 version=1 V lat=26.5185059,lon=-112.8806079}, {Node id=303051738 version=1 V lat=26.5161348,lon=-112.8778497}, {Node id=303051739 version=1 V lat=26.5156509,lon=-112.8769484}, {Node id=303051740 version=1 V lat=26.5146346,lon=-112.8754072}, {Node id=303051741 version=1 V lat=26.5130296,lon=-112.8735053}, {Node id=303051742 version=1 V lat=26.5125699,lon=-112.8728564}, {Node id=303051743 version=1 V lat=26.5119569,lon=-112.8716035}, {Node id=303051744 version=1 V lat=26.5110132,lon=-112.8704949}, {Node id=303051745 version=1 V lat=26.5100856,lon=-112.869251}, {Node id=303051747 version=1 V lat=26.5099163,lon=-112.8689806}, {Node id=303051749 version=1 V lat=26.5095372,lon=-112.8681243}, {Node id=303051752 version=1 V lat=26.5090613,lon=-112.8672861}, {Node id=303051754 version=1 V lat=26.5089645,lon=-112.8670337}, {Node id=303051757 version=1 V lat=26.5085451,lon=-112.8651859}, {Node id=303051760 version=1 V lat=26.5083515,lon=-112.8647534}, {Node id=303051762 version=1 V lat=26.5078273,lon=-112.8639782}, {Node id=303051765 version=1 V lat=26.5076417,lon=-112.8635635}, {Node id=303051767 version=1 V lat=26.507553,lon=-112.8631579}, {Node id=303051769 version=1 V lat=26.5075288,lon=-112.8623378}, {Node id=303051772 version=1 V lat=26.5074079,lon=-112.8613643}, {Node id=303051774 version=1 V lat=26.5069481,lon=-112.8593183}, {Node id=303051777 version=1 V lat=26.5068754,lon=-112.859111}, {Node id=303051779 version=1 V lat=26.5066496,lon=-112.8587234}, {Node id=303051783 version=1 V lat=26.5045928,lon=-112.8561546}, {Node id=303051786 version=1 V lat=26.5040362,lon=-112.8553074}, {Node id=303051788 version=1 V lat=26.5028666,lon=-112.8539192}, {Node id=303051791 version=1 V lat=26.501818,lon=-112.8528827}, {Node id=303051794 version=1 V lat=26.499382,lon=-112.849728}, {Node id=303051796 version=1 V lat=26.4980349,lon=-112.8482859}, {Node id=303051799 version=1 V lat=26.4975671,lon=-112.8476549}, {Node id=303051802 version=1 V lat=26.4969379,lon=-112.8464562}, {Node id=303051804 version=1 V lat=26.4961554,lon=-112.8453565}, {Node id=303051807 version=1 V lat=26.4959941,lon=-112.8447887}, {Node id=303051809 version=1 V lat=26.4958004,lon=-112.8444101}, {Node id=303051812 version=1 V lat=26.4955181,lon=-112.8440226}, {Node id=303051814 version=1 V lat=26.4935579,lon=-112.8416972}, {Node id=303051815 version=1 V lat=26.4918236,lon=-112.8398765}, {Node id=303051816 version=1 V lat=26.4911943,lon=-112.8393446}, {Node id=303051817 version=1 V lat=26.4904037,lon=-112.8388129}, {Node id=303051818 version=1 V lat=26.489718,lon=-112.8381008}, {Node id=303051819 version=1 V lat=26.4872656,lon=-112.8362621}, {Node id=303051820 version=1 V lat=26.4857086,lon=-112.8347027}, {Node id=303051821 version=1 V lat=26.48516,lon=-112.8340538}, {Node id=303051822 version=1 V lat=26.4844259,lon=-112.8330173}, {Node id=303051823 version=1 V lat=26.4841435,lon=-112.8326927}, {Node id=303051824 version=1 V lat=26.4822719,lon=-112.8313858}, {Node id=303051825 version=1 V lat=26.4819088,lon=-112.8310703}, {Node id=303051826 version=1 V lat=26.4809084,lon=-112.8299887}, {Node id=303051827 version=1 V lat=26.4805131,lon=-112.8293759}, {Node id=303051828 version=1 V lat=26.47919,lon=-112.8265727}, {Node id=303051829 version=1 V lat=26.4787946,lon=-112.8259959}, {Node id=303051830 version=1 V lat=26.4783186,lon=-112.8255362}, {Node id=303051831 version=1 V lat=26.4771327,lon=-112.8241751}, {Node id=303051832 version=1 V lat=26.4766405,lon=-112.8234991}, {Node id=303051835 version=1 V lat=26.4761807,lon=-112.822751}, {Node id=303051836 version=1 V lat=26.4745751,lon=-112.8198938}, {Node id=303051837 version=1 V lat=26.4740264,lon=-112.818686}, {Node id=303051838 version=1 V lat=26.4737522,lon=-112.8181903}, {Node id=303051839 version=1 V lat=26.4734536,lon=-112.817352}, {Node id=303051840 version=1 V lat=26.4732438,lon=-112.8170636}, {Node id=303051842 version=1 V lat=26.4708717,lon=-112.8147742}, {Node id=303051843 version=1 V lat=26.4680075,lon=-112.8122144}, {Node id=303051844 version=1 V lat=26.4675394,lon=-112.8118809}, {Node id=303051845 version=1 V lat=26.4635131,lon=-112.8096185}]}, flags=0]

StyledMapRenderer#render:
 - data: org.openstreetmap.josm.data.osm.DataSet@1979c2d8
 - circum: 15042.522590392835
 - scale: 168.34294479892498
 - paintSettings: MapPaintSettings [useRealWidth=false, showDirectionArrow=false, showOnewayArrow=true, defaultSegmentWidth=2, showOrderNumber=false, showHeadArrowOnly=false, showNamesDistance=10000000, useStrokesDistance=10000000, showIconsDistance=10000000, selectedNodeSize=5, connectionNodeSize=5, unselectedNodeSize=3, taggedNodeSize=3, fillSelectedNode=true, fillUnselectedNode=false, fillTaggedNode=true, fillConnectionNode=false, outlineOnly=false, selectedColor=java.awt.Color[r=255,g=0,b=0], relationSelectedColor=java.awt.Color[r=255,g=0,b=255], highlightColor=java.awt.Color[r=255,g=0,b=0], inactiveColor=java.awt.Color[r=64,g=64,b=64], nodeColor=java.awt.Color[r=255,g=255,b=0], taggedColor=java.awt.Color[r=204,g=255,b=255], connectionColor=java.awt.Color[r=255,g=255,b=0], taggedConnectionColor=java.awt.Color[r=204,g=255,b=255]]
 - renderVirtualNodes: true

MapView#paintLayer:
 - layer: OsmDataLayer [name=download.osc, associatedFile=/Users/matthieugaillet/Downloads/download.osc]
 - bounds: Bounds[25.9882472,-113.8478431,27.3570907,-111.9136748]

Warning issued by: MapView#paintLayer

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (17) of main
java.lang.IllegalArgumentException: Parameter 'eastNorth' must not be null
	at org.openstreetmap.josm.tools.CheckParameterUtil.ensureParameterNotNull(CheckParameterUtil.java:83)
	at org.openstreetmap.josm.gui.MapViewState$MapViewEastNorthPoint.<init>(MapViewState.java:585)
	at org.openstreetmap.josm.gui.MapViewState.getPointFor(MapViewState.java:174)
	at org.openstreetmap.josm.gui.MapViewState.getPointFor(MapViewState.java:195)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.getForIndex(StyledMapRenderer.java:236)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.next(StyledMapRenderer.java:134)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.next(StyledMapRenderer.java:104)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.drawWay(StyledMapRenderer.java:1485)
	at org.openstreetmap.josm.gui.mappaint.styleelement.LineElement.paintPrimitive(LineElement.java:115)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleRecord.paintPrimitive(StyledMapRenderer.java:311)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1969)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:423)
	at org.openstreetmap.josm.gui.layer.AbstractMapViewPaintable$CompatibilityModeLayerPainter.paint(AbstractMapViewPaintable.java:27)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:436)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:518)
	at javax.swing.JComponent.paintChildren(JComponent.java:889)
	at javax.swing.JComponent.paint(JComponent.java:1065)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5210)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(RepaintManager.java:1579)
	at javax.swing.RepaintManager$PaintManager.paint(RepaintManager.java:1502)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1272)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5158)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4969)
	at javax.swing.RepaintManager$4.run(RepaintManager.java:831)
	at javax.swing.RepaintManager$4.run(RepaintManager.java:814)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:814)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:789)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:738)
	at javax.swing.RepaintManager.access$1200(RepaintManager.java:64)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1732)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.HelpAwareOptionPane.doShowOptionDialog(HelpAwareOptionPane.java:311)
	at org.openstreetmap.josm.gui.HelpAwareOptionPane.showOptionDialog(HelpAwareOptionPane.java:247)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.lambda$warnNumNewConflicts$2(ConflictDialog.java:596)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:102)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.warnNumNewConflicts(ConflictDialog.java:595)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:512)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:460)
	at org.openstreetmap.josm.gui.io.AbstractPrimitiveTask.lambda$finish$0(AbstractPrimitiveTask.java:187)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:116)
	at org.openstreetmap.josm.gui.io.AbstractPrimitiveTask.finish(AbstractPrimitiveTask.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor.lambda$doBeginTask$2(PleaseWaitProgressMonitor.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

comment:15 Changed 2 years ago by michael2402

Resolution: fixed
Status: closedreopened

Yes, sorry. I seem to have mixed up the duplicate issues.
Those are the ones related to the virtual nodes. They should be fixed:

The ones related to the renderer:

comment:16 Changed 2 years ago by simon04

Milestone: 16.0916.10

Milestone renamed

Changed 2 years ago by michael2402

comment:17 Changed 2 years ago by michael2402

I traced this issue down to the following:

  • Node 303051642 is deleted
  • There is a conflict in Way id=27599304, version=3

When resolving this conflict I noticed that there were two issues with that way:
(1) Node 303051642 is deleted but still in my version
(2) Node 3702952892 is in my version but not in the version on the server.

Resolving the conflict removes the error message. There seems to be a race condition with this - it won't happen every time.

The issue already existed in r9815. The only difference there was that the problem was that the rendering simply interpreted deleted nodes to be at (0,0). You can see the line to the top left corner of the screen in the screen shot I attached.


Last edited 2 years ago by michael2402 (previous) (diff)

Changed 2 years ago by michael2402

Attachment: 13665.png added

comment:18 Changed 2 years ago by simon04

Milestone: 16.1016.11

comment:19 Changed 2 years ago by Don-vip

Milestone: 16.1116.12

Milestone renamed

comment:20 Changed 2 years ago by Don-vip

Milestone: 16.1217.01

comment:21 Changed 2 years ago by Don-vip

Milestone: 17.0117.02

comment:22 Changed 2 years ago by Don-vip

Milestone: 17.0217.03

comment:23 Changed 22 months ago by Don-vip

Milestone: 17.0317.04

comment:24 Changed 21 months ago by Don-vip

In 11991/josm:

see #13665 - cleaner error

comment:25 Changed 21 months ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 11992/josm:

fix #13665 - handle deleted nodes in way rendering

comment:26 Changed 3 months ago by Don-vip

Ticket #13924 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.